type ref;
const Void: ref;
function index_set() returns (ref);
function item() returns (ref);
function all_cleared() returns (bool);
function valid_index_set() returns (bool);
function area() returns (ref);
function lower() returns (int);
function clone(other: ref) returns (ref);
function subarray(start_pos: int, end_pos: int) returns (ref);
function to_c() returns (ref);
function empty() returns (bool);
function index() returns (int);
function isfirst() returns (bool);
function after() returns (bool);
function before() returns (bool);
function there_exists(test: ref) returns (bool);
function for_all(test: ref) returns (bool);
function changeable_comparison_criterion() returns (bool);
function exhausted() returns (bool);
function extendible() returns (bool);
function upper() returns (int);
function all_default() returns (bool);
function index_of(v: ref, i: int) returns (int);
function empty_area() returns (bool);
function same_items(other: ref) returns (bool);
function is_equal(other: ref) returns (bool);
function standard_is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function linear_representation() returns (ref);
function prunable() returns (bool);
function readable() returns (bool);
function at(i: int) returns (ref);
function capacity() returns (int);
function generating_type() returns (ref);
function valid_cursor(p: ref) returns (bool);
function is_empty() returns (bool);
function default() returns (ref);
function mismatch_information() returns (ref);
function islast() returns (bool);
function object_comparison() returns (bool);
function off() returns (bool);
function full() returns (bool);
function standard_clone(other: ref) returns (ref);
function equal(some: ref, other: ref) returns (bool);
function standard_twin() returns (ref);
function to_cil() returns (ref);
function generator() returns (ref);
function conforms_to(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function additional_space() returns (int);
function io() returns (ref);
function operating_environment() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function tagged_out() returns (ref);
function twin() returns (ref);
function valid_index(i: int) returns (bool);
function resizable() returns (bool);
function new_filled_list(n: int) returns (ref);
function growth_percentage() returns (int);
function minimal_increase() returns (int);
function array_item(i: int) returns (ref);
function array_infix_at(i: int) returns (ref);
function array_count() returns (int);
function array_index_set() returns (ref);
function first() returns (ref);
function last() returns (ref);
function i_th(i: int) returns (ref);
function to_array() returns (ref);
function writable() returns (bool);
function valid_cursor_index(i: int) returns (bool);
function is_inserted(v: ref) returns (bool);
function filled_with(v: ref) returns (bool);
function is_deep_equal(other: ref) returns (bool);
function new_chain() returns (ref);
function as_attached() returns (ref);
function sequential_index_of(v: ref, i: int) returns (int);
function sequential_has(v: ref) returns (bool);
function count() returns (int);
function to_special() returns (ref);
function sequential_occurrences(v: ref) returns (int);
function duplicate(n: int) returns (ref);
function item_for_iteration() returns (ref);
function cursor() returns (ref);
function entry(i: int) returns (ref);
function has(v: ref) returns (bool);
function occurrences(v: ref) returns (int);
const Current: ref;
axiom (prunable());
axiom ( (lower()) == (1));
axiom ( (is_empty()) ==> (all_default()));
axiom ( (area()) != (Void));
axiom ( (capacity()) == (( (( (upper()) - (lower()))) + (1))));
axiom ( (count()) >= (0));
axiom (valid_index_set());
axiom ( (minimal_increase()) >= (1));
axiom ( (count()) <= (capacity()));
axiom ( (full()) == (( (count()) == (capacity()))));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (index_set()) != (Void));
axiom ( (before()) == (( (index()) == (0))));
axiom ( (after()) == (( (index()) == (( (count()) + (1))))));
axiom ( (index()) >= (0));
axiom ( (index()) <= (( (count()) + (1))));
axiom ( (off()) == (( (( (index()) == (0))) || (( (index()) == (( (count()) + (1))))))));
axiom ( (isfirst()) == (( ((!  (is_empty()))) && (( (index()) == (1))))));
axiom ( (islast()) == (( ((!  (is_empty()))) && (( (index()) == (count()))))));
axiom ( ((!  (off()))) ==> (( (item()) == (i_th (index())))));
axiom ( (index_set.count()) == (count()));
axiom ( (writable()) ==> (readable()));
axiom ( (is_empty()) ==> (( ((!  (readable()))) && ((!  (writable()))))));
axiom (!  (( (after()) && (before()))));
axiom ( (before()) ==> (off()));
axiom ( (after()) ==> (off()));
axiom ( (is_empty()) ==> (off()));
axiom (extendible());
axiom ( (all_cleared()) == (all_default()));
axiom ( (empty()) == (is_empty()));
axiom ( (isfirst()) ==> ((!  (is_empty()))));
axiom ( (changeable_comparison_criterion()) == (true));
axiom ( (exhausted()) == (off()));
axiom ( (off()) ==> (exhausted()));
axiom ( (prunable()) == (true));
axiom ( (readable()) == ((!  (off()))));
axiom ( (islast()) ==> ((!  (is_empty()))));
axiom ( (resizable()) == (true));
axiom ( (writable()) == ((!  (off()))));
function index_set.item(i: int) returns (int);
function index_set.at(i: int) returns (int);
function index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
function index_set.lower() returns (int);
function index_set.clone(other: ref) returns (ref);
function index_set.to_c() returns (ref);
function index_set.generating_type() returns (ref);
function index_set.upper_defined() returns (bool);
function index_set.occurrences(v: int) returns (int);
function index_set.exists(condition: ref) returns (bool);
function index_set.is_deep_equal(other: ref) returns (bool);
function index_set.tagged_out() returns (ref);
function index_set.upper() returns (int);
function index_set.linear_representation() returns (ref);
function index_set.is_equal(other: ref) returns (bool);
function index_set.standard_is_equal(other: ref) returns (bool);
function index_set.as_attached() returns (ref);
function index_set.deep_twin() returns (ref);
function index_set.capacity() returns (int);
function index_set.has(v: int) returns (bool);
function index_set.resizable() returns (bool);
function index_set.generator() returns (ref);
function index_set.index_set() returns (ref);
function index_set.growth_percentage() returns (int);
function index_set.upper_internal() returns (int);
function index_set.minimal_increase() returns (int);
function index_set.all_cleared() returns (bool);
function index_set.default() returns (ref);
function index_set.exists1(condition: ref) returns (bool);
function index_set.count() returns (int);
function index_set.additional_space() returns (int);
function index_set.standard_clone(other: ref) returns (ref);
function index_set.changeable_comparison_criterion() returns (bool);
function index_set.lower_defined() returns (bool);
function index_set.empty() returns (bool);
function index_set.standard_equal(some: ref, other: ref) returns (bool);
function index_set.standard_twin() returns (ref);
function index_set.deep_equal(some: ref, other: ref) returns (bool);
function index_set.is_inserted(v: int) returns (bool);
function index_set.twin() returns (ref);
function index_set.out() returns (ref);
function index_set.as_array() returns (ref);
function index_set.equal(some: ref, other: ref) returns (bool);
function index_set.hold_count(condition: ref) returns (int);
function index_set.conforms_to(other: ref) returns (bool);
function index_set.deep_clone(other: ref) returns (ref);
function index_set.default_pointer() returns (ref);
function index_set.io() returns (ref);
function index_set.operating_environment() returns (ref);
function index_set.same_type(other: ref) returns (bool);
function index_set.extendible() returns (bool);
function index_set.full() returns (bool);
function index_set.is_empty() returns (bool);
function index_set.object_comparison() returns (bool);
function index_set.lower_internal() returns (int);
function index_set.prunable() returns (bool);
function index_set.for_all(condition: ref) returns (bool);
function index_set.valid_index(v: int) returns (bool);
const index_set.Current: ref;
axiom ( (( (index_set.upper_defined()) && (index_set.lower_defined()))) ==> (( (index_set.count()) == (( (( (index_set.upper()) - (index_set.lower()))) + (1))))));
axiom ( (index_set.index_set()) == (index_set.Current));
axiom ( (index_set.upper_defined()) && (index_set.lower_defined()));
axiom ( (index_set.minimal_increase()) >= (1));
axiom ( (index_set.count()) <= (index_set.capacity()));
axiom ( (index_set.full()) == (( (index_set.count()) == (index_set.capacity()))));
axiom ( (index_set.is_empty()) == (( (index_set.count()) == (0))));
axiom ( (index_set.count()) >= (0));
axiom (index_set.standard_is_equal (index_set.Current));
axiom (index_set.conforms_to (index_set.Current));
axiom ( (index_set.index_set()) != (Void));
axiom ( (index_set.resizable()) == (true));
axiom ( (index_set.all_cleared()) == (( (( (index_set.lower()) == (0))) && (( (index_set.upper()) == (0))))));
axiom ( (index_set.changeable_comparison_criterion()) == (index_set.is_empty()));
axiom ( (index_set.empty()) == (index_set.is_empty()));
axiom ( (index_set.extendible()) == (true));
axiom ( (index_set.prunable()) == (false));
const v: ref;
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (valid_index_set()));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (after()));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (before()));
}

procedure proc.ANY.afx_formula_5();
implementation proc.ANY.afx_formula_5() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_6();
implementation proc.ANY.afx_formula_6() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_7();
implementation proc.ANY.afx_formula_7() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_8();
implementation proc.ANY.afx_formula_8() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (all_default()));
}

procedure proc.ANY.afx_formula_9();
implementation proc.ANY.afx_formula_9() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (empty_area()));
}

procedure proc.ANY.afx_formula_10();
implementation proc.ANY.afx_formula_10() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_11();
implementation proc.ANY.afx_formula_11() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (readable()));
}

procedure proc.ANY.afx_formula_12();
implementation proc.ANY.afx_formula_12() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_13();
implementation proc.ANY.afx_formula_13() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (islast()));
}

procedure proc.ANY.afx_formula_14();
implementation proc.ANY.afx_formula_14() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_15();
implementation proc.ANY.afx_formula_15() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (off()));
}

procedure proc.ANY.afx_formula_16();
implementation proc.ANY.afx_formula_16() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (full()));
}

procedure proc.ANY.afx_formula_17();
implementation proc.ANY.afx_formula_17() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (resizable()));
}

procedure proc.ANY.afx_formula_18();
implementation proc.ANY.afx_formula_18() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (writable()));
}

procedure proc.ANY.afx_formula_19();
implementation proc.ANY.afx_formula_19() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (valid_index_set()));
}

procedure proc.ANY.afx_formula_20();
implementation proc.ANY.afx_formula_20() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (isfirst()));
}

procedure proc.ANY.afx_formula_21();
implementation proc.ANY.afx_formula_21() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (after()));
}

procedure proc.ANY.afx_formula_22();
implementation proc.ANY.afx_formula_22() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (before()));
}

procedure proc.ANY.afx_formula_23();
implementation proc.ANY.afx_formula_23() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_24();
implementation proc.ANY.afx_formula_24() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (exhausted()));
}

procedure proc.ANY.afx_formula_25();
implementation proc.ANY.afx_formula_25() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (extendible()));
}

procedure proc.ANY.afx_formula_26();
implementation proc.ANY.afx_formula_26() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (all_default()));
}

procedure proc.ANY.afx_formula_27();
implementation proc.ANY.afx_formula_27() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (empty_area()));
}

procedure proc.ANY.afx_formula_28();
implementation proc.ANY.afx_formula_28() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (prunable()));
}

procedure proc.ANY.afx_formula_29();
implementation proc.ANY.afx_formula_29() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (readable()));
}

procedure proc.ANY.afx_formula_30();
implementation proc.ANY.afx_formula_30() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_31();
implementation proc.ANY.afx_formula_31() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (islast()));
}

procedure proc.ANY.afx_formula_32();
implementation proc.ANY.afx_formula_32() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_33();
implementation proc.ANY.afx_formula_33() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (off()));
}

procedure proc.ANY.afx_formula_34();
implementation proc.ANY.afx_formula_34() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (full()));
}

procedure proc.ANY.afx_formula_35();
implementation proc.ANY.afx_formula_35() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (resizable()));
}

procedure proc.ANY.afx_formula_36();
implementation proc.ANY.afx_formula_36() {
	assert ( (( ((!  (is_empty()))) ==> (isfirst()))) == (writable()));
}

procedure proc.ANY.afx_formula_37();
implementation proc.ANY.afx_formula_37() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (valid_index_set()));
}

procedure proc.ANY.afx_formula_38();
implementation proc.ANY.afx_formula_38() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_39();
implementation proc.ANY.afx_formula_39() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (after()));
}

procedure proc.ANY.afx_formula_40();
implementation proc.ANY.afx_formula_40() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (before()));
}

procedure proc.ANY.afx_formula_41();
implementation proc.ANY.afx_formula_41() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_42();
implementation proc.ANY.afx_formula_42() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_43();
implementation proc.ANY.afx_formula_43() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_44();
implementation proc.ANY.afx_formula_44() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (all_default()));
}

procedure proc.ANY.afx_formula_45();
implementation proc.ANY.afx_formula_45() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (empty_area()));
}

procedure proc.ANY.afx_formula_46();
implementation proc.ANY.afx_formula_46() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_47();
implementation proc.ANY.afx_formula_47() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (readable()));
}

procedure proc.ANY.afx_formula_48();
implementation proc.ANY.afx_formula_48() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_49();
implementation proc.ANY.afx_formula_49() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (islast()));
}

procedure proc.ANY.afx_formula_50();
implementation proc.ANY.afx_formula_50() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_51();
implementation proc.ANY.afx_formula_51() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (off()));
}

procedure proc.ANY.afx_formula_52();
implementation proc.ANY.afx_formula_52() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (full()));
}

procedure proc.ANY.afx_formula_53();
implementation proc.ANY.afx_formula_53() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (resizable()));
}

procedure proc.ANY.afx_formula_54();
implementation proc.ANY.afx_formula_54() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (writable()));
}

procedure proc.ANY.afx_formula_55();
implementation proc.ANY.afx_formula_55() {
	assert ( (( (off()) ==> (after()))) == (valid_index_set()));
}

procedure proc.ANY.afx_formula_56();
implementation proc.ANY.afx_formula_56() {
	assert ( (( (off()) ==> (after()))) == (isfirst()));
}

procedure proc.ANY.afx_formula_57();
implementation proc.ANY.afx_formula_57() {
	assert ( (( (off()) ==> (after()))) == (after()));
}

procedure proc.ANY.afx_formula_58();
implementation proc.ANY.afx_formula_58() {
	assert ( (( (off()) ==> (after()))) == (before()));
}

procedure proc.ANY.afx_formula_59();
implementation proc.ANY.afx_formula_59() {
	assert ( (( (off()) ==> (after()))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_60();
implementation proc.ANY.afx_formula_60() {
	assert ( (( (off()) ==> (after()))) == (exhausted()));
}

procedure proc.ANY.afx_formula_61();
implementation proc.ANY.afx_formula_61() {
	assert ( (( (off()) ==> (after()))) == (extendible()));
}

procedure proc.ANY.afx_formula_62();
implementation proc.ANY.afx_formula_62() {
	assert ( (( (off()) ==> (after()))) == (all_default()));
}

procedure proc.ANY.afx_formula_63();
implementation proc.ANY.afx_formula_63() {
	assert ( (( (off()) ==> (after()))) == (empty_area()));
}

procedure proc.ANY.afx_formula_64();
implementation proc.ANY.afx_formula_64() {
	assert ( (( (off()) ==> (after()))) == (prunable()));
}

procedure proc.ANY.afx_formula_65();
implementation proc.ANY.afx_formula_65() {
	assert ( (( (off()) ==> (after()))) == (readable()));
}

procedure proc.ANY.afx_formula_66();
implementation proc.ANY.afx_formula_66() {
	assert ( (( (off()) ==> (after()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_67();
implementation proc.ANY.afx_formula_67() {
	assert ( (( (off()) ==> (after()))) == (islast()));
}

procedure proc.ANY.afx_formula_68();
implementation proc.ANY.afx_formula_68() {
	assert ( (( (off()) ==> (after()))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_69();
implementation proc.ANY.afx_formula_69() {
	assert ( (( (off()) ==> (after()))) == (off()));
}

procedure proc.ANY.afx_formula_70();
implementation proc.ANY.afx_formula_70() {
	assert ( (( (off()) ==> (after()))) == (full()));
}

procedure proc.ANY.afx_formula_71();
implementation proc.ANY.afx_formula_71() {
	assert ( (( (off()) ==> (after()))) == (resizable()));
}

procedure proc.ANY.afx_formula_72();
implementation proc.ANY.afx_formula_72() {
	assert ( (( (off()) ==> (after()))) == (writable()));
}

procedure proc.ANY.afx_formula_73();
implementation proc.ANY.afx_formula_73() {
	assert ( (( (off()) ==> ((!  (after()))))) == (valid_index_set()));
}

procedure proc.ANY.afx_formula_74();
implementation proc.ANY.afx_formula_74() {
	assert ( (( (off()) ==> ((!  (after()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_75();
implementation proc.ANY.afx_formula_75() {
	assert ( (( (off()) ==> ((!  (after()))))) == (after()));
}

procedure proc.ANY.afx_formula_76();
implementation proc.ANY.afx_formula_76() {
	assert ( (( (off()) ==> ((!  (after()))))) == (before()));
}

procedure proc.ANY.afx_formula_77();
implementation proc.ANY.afx_formula_77() {
	assert ( (( (off()) ==> ((!  (after()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_78();
implementation proc.ANY.afx_formula_78() {
	assert ( (( (off()) ==> ((!  (after()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_79();
implementation proc.ANY.afx_formula_79() {
	assert ( (( (off()) ==> ((!  (after()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_80();
implementation proc.ANY.afx_formula_80() {
	assert ( (( (off()) ==> ((!  (after()))))) == (all_default()));
}

procedure proc.ANY.afx_formula_81();
implementation proc.ANY.afx_formula_81() {
	assert ( (( (off()) ==> ((!  (after()))))) == (empty_area()));
}

procedure proc.ANY.afx_formula_82();
implementation proc.ANY.afx_formula_82() {
	assert ( (( (off()) ==> ((!  (after()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_83();
implementation proc.ANY.afx_formula_83() {
	assert ( (( (off()) ==> ((!  (after()))))) == (readable()));
}

procedure proc.ANY.afx_formula_84();
implementation proc.ANY.afx_formula_84() {
	assert ( (( (off()) ==> ((!  (after()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_85();
implementation proc.ANY.afx_formula_85() {
	assert ( (( (off()) ==> ((!  (after()))))) == (islast()));
}

procedure proc.ANY.afx_formula_86();
implementation proc.ANY.afx_formula_86() {
	assert ( (( (off()) ==> ((!  (after()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_87();
implementation proc.ANY.afx_formula_87() {
	assert ( (( (off()) ==> ((!  (after()))))) == (off()));
}

procedure proc.ANY.afx_formula_88();
implementation proc.ANY.afx_formula_88() {
	assert ( (( (off()) ==> ((!  (after()))))) == (full()));
}

procedure proc.ANY.afx_formula_89();
implementation proc.ANY.afx_formula_89() {
	assert ( (( (off()) ==> ((!  (after()))))) == (resizable()));
}

procedure proc.ANY.afx_formula_90();
implementation proc.ANY.afx_formula_90() {
	assert ( (( (off()) ==> ((!  (after()))))) == (writable()));
}

