class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (37)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264695813890146")
			test_cases.extend (agent execute_test_case_3, "1264695813890190")
			test_cases.extend (agent execute_test_case_4, "1264688509602136")
			test_cases.extend (agent execute_test_case_5, "12646923941103959")
			test_cases.extend (agent execute_test_case_6, "12646924121109543")
			test_cases.extend (agent execute_test_case_7, "12646895731466806")
			test_cases.extend (agent execute_test_case_8, "1264688531609892")
			test_cases.extend (agent execute_test_case_9, "1264695803887354")
			test_cases.extend (agent execute_test_case_10, "1264688488595467")
			test_cases.extend (agent execute_test_case_11, "1264691949885208")
			test_cases.extend (agent execute_test_case_12, "1264691965889226")
			test_cases.extend (agent execute_test_case_13, "1264695748873668")
			test_cases.extend (agent execute_test_case_14, "1264688503600005")
			test_cases.extend (agent execute_test_case_15, "12646924051107260")
			test_cases.extend (agent execute_test_case_16, "1264695775879976")
			test_cases.extend (agent execute_test_case_17, "1264691953886305")
			test_cases.extend (agent execute_test_case_18, "1264695782881120")
			test_cases.extend (agent execute_test_case_19, "1264694920529391")
			test_cases.extend (agent execute_test_case_20, "1264694916528593")
			test_cases.extend (agent execute_test_case_21, "1264688508601757")
			test_cases.extend (agent execute_test_case_22, "1264691983894700")
			test_cases.extend (agent execute_test_case_23, "1264688532609999")
			test_cases.extend (agent execute_test_case_24, "1264695769878551")
			test_cases.extend (agent execute_test_case_25, "1264691999899444")
			test_cases.extend (agent execute_test_case_26, "1264694936533832")
			test_cases.extend (agent execute_test_case_27, "12646895581461978")
			test_cases.extend (agent execute_test_case_28, "12646896031476338")
			test_cases.extend (agent execute_test_case_29, "12646923961104367")
			test_cases.extend (agent execute_test_case_30, "1264688526608167")
			test_cases.extend (agent execute_test_case_31, "1264691992897106")
			test_cases.extend (agent execute_test_case_32, "1264695790883663")
			test_cases.extend (agent execute_test_case_33, "1264688533610286")
			test_cases.extend (agent execute_test_case_34, "1264691997898547")
			test_cases.extend (agent execute_test_case_35, "1264694882521115")
			test_cases.extend (agent execute_test_case_36, "12646923841101081")
			test_cases.extend (agent execute_test_case_37, "12646895591462415")
			test_cases.extend (agent execute_test_case_38, "1264688517604709")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {CHAIN [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264695813890146"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
			execute_test_case_24
			execute_test_case_25
			execute_test_case_26
			execute_test_case_27
			execute_test_case_28
			execute_test_case_29
			execute_test_case_30
			execute_test_case_31
			execute_test_case_32
			execute_test_case_33
			execute_test_case_34
			execute_test_case_35
			execute_test_case_36
			execute_test_case_37
			execute_test_case_38
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695813890146
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 1, True, "1264695813890146", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695813890146
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 2, False, "1264695813890146", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695813890190
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 3, False, "1264695813890190", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688509602136
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 4, False, "1264688509602136", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__12646923941103959
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 5, False, "12646923941103959", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__12646924121109543
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 6, False, "12646924121109543", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__12646895731466806
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 7, False, "12646895731466806", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688531609892
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 8, False, "1264688531609892", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695803887354
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 9, False, "1264695803887354", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688488595467
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 10, False, "1264688488595467", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264691949885208
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 11, False, "1264691949885208", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264691965889226
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 12, False, "1264691965889226", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695748873668
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 13, False, "1264695748873668", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688503600005
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 14, False, "1264688503600005", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__12646924051107260
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 15, False, "12646924051107260", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695775879976
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 16, False, "1264695775879976", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264691953886305
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 17, False, "1264691953886305", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695782881120
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 18, False, "1264695782881120", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264694920529391
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 19, False, "1264694920529391", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264694916528593
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 20, False, "1264694916528593", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688508601757
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 21, False, "1264688508601757", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264691983894700
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 22, False, "1264691983894700", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264688532609999
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 23, False, "1264688532609999", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_24
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264695769878551
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 24, False, "1264695769878551", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_25
	local
		l_tc: TC__ACTIVE_LIST__put__F__c3__b1__REC_CHAIN__put__TAG_writable__1264691999899444
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", False, 25, False, "1264691999899444", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_26
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264694936533832
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 26, False, "1264694936533832", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_27
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__12646895581461978
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 27, False, "12646895581461978", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_28
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__12646896031476338
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 28, False, "12646896031476338", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_29
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__12646923961104367
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 29, False, "12646923961104367", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_30
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264688526608167
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 30, False, "1264688526608167", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_31
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264691992897106
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 31, False, "1264691992897106", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_32
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264695790883663
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 32, False, "1264695790883663", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_33
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264688533610286
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 33, False, "1264688533610286", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_34
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264691997898547
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 34, False, "1264691997898547", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_35
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264694882521115
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 35, False, "1264694882521115", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_36
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__12646923841101081
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 36, False, "12646923841101081", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_37
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__12646895591462415
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 37, False, "12646895591462415", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_38
	local
		l_tc: TC__ACTIVE_LIST__put__S__c0__b0__REC_ACTIVE_LIST__put__TAG_noname__1264688517604709
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CHAIN", "put", 3, 1, "writable", True, 38, False, "1264688517604709", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
