class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (18)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264691952886053")
			test_cases.extend (agent execute_test_case_3, "1264695785882333")
			test_cases.extend (agent execute_test_case_4, "1264694885521756")
			test_cases.extend (agent execute_test_case_5, "1264694944535694")
			test_cases.extend (agent execute_test_case_6, "1264694941535023")
			test_cases.extend (agent execute_test_case_7, "1264694937534267")
			test_cases.extend (agent execute_test_case_8, "12646924121109485")
			test_cases.extend (agent execute_test_case_9, "12646895621463194")
			test_cases.extend (agent execute_test_case_10, "1264695807888420")
			test_cases.extend (agent execute_test_case_11, "1264695752874479")
			test_cases.extend (agent execute_test_case_12, "12646923981105086")
			test_cases.extend (agent execute_test_case_13, "12646895671464792")
			test_cases.extend (agent execute_test_case_14, "12646923911103031")
			test_cases.extend (agent execute_test_case_15, "12646895871471253")
			test_cases.extend (agent execute_test_case_16, "1264688536611427")
			test_cases.extend (agent execute_test_case_17, "1264691984894726")
			test_cases.extend (agent execute_test_case_18, "1264694947536519")
			test_cases.extend (agent execute_test_case_19, "1264695780880631")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {INTERACTIVE_LIST [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (19)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {INTEGER_32} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (1)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent (l_value: INTEGER_32): INTEGER_32 do Result := l_value end (l_operand_1), "item")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264691952886053"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264691952886053
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 1, True, "1264691952886053", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264691952886053
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 2, False, "1264691952886053", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264695785882333
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 3, False, "1264695785882333", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264694885521756
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 4, False, "1264694885521756", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264694944535694
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 5, False, "1264694944535694", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264694941535023
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 6, False, "1264694941535023", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264694937534267
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 7, False, "1264694937534267", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646924121109485
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 8, False, "12646924121109485", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646895621463194
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 9, False, "12646895621463194", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264695807888420
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 10, False, "1264695807888420", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__1264695752874479
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 11, False, "1264695752874479", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646923981105086
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 12, False, "12646923981105086", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646895671464792
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 13, False, "12646895671464792", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646923911103031
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 14, False, "12646923911103031", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__F__c3__b1__REC_INTERACTIVE_LIST__update_for_added__TAG_valid_cursor_index__12646895871471253
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", False, 15, False, "12646895871471253", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__S__c0__b0__REC_ACTIVE_LIST__update_for_added__TAG_noname__1264688536611427
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", True, 16, False, "1264688536611427", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__S__c0__b0__REC_ACTIVE_LIST__update_for_added__TAG_noname__1264691984894726
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", True, 17, False, "1264691984894726", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__S__c0__b0__REC_ACTIVE_LIST__update_for_added__TAG_noname__1264694947536519
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", True, 18, False, "1264694947536519", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ACTIVE_LIST__update_for_added__S__c0__b0__REC_ACTIVE_LIST__update_for_added__TAG_noname__1264695780880631
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("INTERACTIVE_LIST", "update_for_added", 3, 1, "valid_cursor_index", True, 19, False, "1264695780880631", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
