class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (19)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "12646967571263012")
			test_cases.extend (agent execute_test_case_3, "1264693918103895")
			test_cases.extend (agent execute_test_case_4, "126469390092413")
			test_cases.extend (agent execute_test_case_5, "1264688569645821")
			test_cases.extend (agent execute_test_case_6, "1264690845193102")
			test_cases.extend (agent execute_test_case_7, "1264688574651108")
			test_cases.extend (agent execute_test_case_8, "12646967721270935")
			test_cases.extend (agent execute_test_case_9, "12646967731271326")
			test_cases.extend (agent execute_test_case_10, "1264691251469330")
			test_cases.extend (agent execute_test_case_11, "1264688560637359")
			test_cases.extend (agent execute_test_case_12, "126469391198983")
			test_cases.extend (agent execute_test_case_13, "1264688557636139")
			test_cases.extend (agent execute_test_case_14, "1264691252470177")
			test_cases.extend (agent execute_test_case_15, "1264691255472125")
			test_cases.extend (agent execute_test_case_16, "1264690833186585")
			test_cases.extend (agent execute_test_case_17, "12646896191488264")
			test_cases.extend (agent execute_test_case_18, "1264688561637841")
			test_cases.extend (agent execute_test_case_19, "12646967811277233")
			test_cases.extend (agent execute_test_case_20, "1264693919104923")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAYED_CIRCULAR [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ARRAYED_CIRCULAR [?ANY]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.after, "after")
				l_tbl.put (agent l_operand_1.before, "before")
				l_tbl.put (agent l_operand_1.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_1.count, "count")
				l_tbl.put (agent l_operand_1.empty, "empty")
				l_tbl.put (agent l_operand_1.exhausted, "exhausted")
				l_tbl.put (agent l_operand_1.extendible, "extendible")
				l_tbl.put (agent l_operand_1.full, "full")
				l_tbl.put (agent l_operand_1.index, "index")
				l_tbl.put (agent l_operand_1.is_empty, "is_empty")
				l_tbl.put (agent l_operand_1.isfirst, "isfirst")
				l_tbl.put (agent l_operand_1.islast, "islast")
				l_tbl.put (agent l_operand_1.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_1.off, "off")
				l_tbl.put (agent l_operand_1.prunable, "prunable")
				l_tbl.put (agent l_operand_1.readable, "readable")
				l_tbl.put (agent l_operand_1.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "12646967571263012"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__12646967571263012
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 1, True, "12646967571263012", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__12646967571263012
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 2, False, "12646967571263012", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__1264693918103895
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 3, False, "1264693918103895", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__126469390092413
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 4, False, "126469390092413", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__1264688569645821
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 5, False, "1264688569645821", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__1264690845193102
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 6, False, "1264690845193102", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__1264688574651108
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 7, False, "1264688574651108", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__12646967721270935
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 8, False, "12646967721270935", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__F__c6__b8__REC_ARRAYED_CIRCULAR__merge_left__TAG_off_definition__12646967731271326
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", False, 9, False, "12646967731271326", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264691251469330
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 10, False, "1264691251469330", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264688560637359
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 11, False, "1264688560637359", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__126469391198983
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 12, False, "126469391198983", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264688557636139
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 13, False, "1264688557636139", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264691252470177
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 14, False, "1264691252470177", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264691255472125
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 15, False, "1264691255472125", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264690833186585
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 16, False, "1264690833186585", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__12646896191488264
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 17, False, "12646896191488264", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264688561637841
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 18, False, "1264688561637841", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__12646967811277233
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 19, False, "12646967811277233", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAYED_CIRCULAR__merge_left__S__c0__b0__REC_ARRAYED_CIRCULAR__merge_left__TAG_noname__1264693919104923
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "merge_left", 6, 8, "off_definition", True, 20, False, "1264693919104923", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
