class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (22)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264691244463828")
			test_cases.extend (agent execute_test_case_3, "12646967821278091")
			test_cases.extend (agent execute_test_case_4, "12646896231492149")
			test_cases.extend (agent execute_test_case_5, "1264691256472872")
			test_cases.extend (agent execute_test_case_6, "1264691250467827")
			test_cases.extend (agent execute_test_case_7, "1264691249467533")
			test_cases.extend (agent execute_test_case_8, "1264688566642081")
			test_cases.extend (agent execute_test_case_9, "1264688568644637")
			test_cases.extend (agent execute_test_case_10, "12646967771274220")
			test_cases.extend (agent execute_test_case_11, "12646896091479616")
			test_cases.extend (agent execute_test_case_12, "12646967771274371")
			test_cases.extend (agent execute_test_case_13, "12646967671267121")
			test_cases.extend (agent execute_test_case_14, "1264691253470496")
			test_cases.extend (agent execute_test_case_15, "126469390796907")
			test_cases.extend (agent execute_test_case_16, "1264691260475905")
			test_cases.extend (agent execute_test_case_17, "1264693918104070")
			test_cases.extend (agent execute_test_case_18, "12646896201489487")
			test_cases.extend (agent execute_test_case_19, "12646896081479056")
			test_cases.extend (agent execute_test_case_20, "1264688575651728")
			test_cases.extend (agent execute_test_case_21, "126469388387646")
			test_cases.extend (agent execute_test_case_22, "1264690835187272")
			test_cases.extend (agent execute_test_case_23, "12646967721270868")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAYED_CIRCULAR [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264691244463828"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__1264691244463828
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 1, True, "1264691244463828", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__1264691244463828
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 2, False, "1264691244463828", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__12646967821278091
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 3, False, "12646967821278091", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__12646896231492149
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 4, False, "12646896231492149", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__1264691256472872
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 5, False, "1264691256472872", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__F__c4__b3__REC_ARRAYED_CIRCULAR__put_front__TAG_item_inserted__1264691250467827
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", False, 6, False, "1264691250467827", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264691249467533
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 7, False, "1264691249467533", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264688566642081
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 8, False, "1264688566642081", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264688568644637
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 9, False, "1264688568644637", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646967771274220
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 10, False, "12646967771274220", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646896091479616
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 11, False, "12646896091479616", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646967771274371
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 12, False, "12646967771274371", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646967671267121
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 13, False, "12646967671267121", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264691253470496
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 14, False, "1264691253470496", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__126469390796907
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 15, False, "126469390796907", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264691260475905
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 16, False, "1264691260475905", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264693918104070
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 17, False, "1264693918104070", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646896201489487
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 18, False, "12646896201489487", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646896081479056
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 19, False, "12646896081479056", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264688575651728
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 20, False, "1264688575651728", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__126469388387646
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 21, False, "126469388387646", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__1264690835187272
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 22, False, "1264690835187272", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__ARRAYED_CIRCULAR__put_front__S__c0__b0__REC_ARRAYED_CIRCULAR__put_front__TAG_noname__12646967721270868
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "put_front", 4, 3, "item_inserted", True, 23, False, "12646967721270868", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
