class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (8)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "126469389992117")
			test_cases.extend (agent execute_test_case_3, "12646896141483813")
			test_cases.extend (agent execute_test_case_4, "12646896241493563")
			test_cases.extend (agent execute_test_case_5, "1264691251469336")
			test_cases.extend (agent execute_test_case_6, "1264691249466983")
			test_cases.extend (agent execute_test_case_7, "126469390796543")
			test_cases.extend (agent execute_test_case_8, "126469390393974")
			test_cases.extend (agent execute_test_case_9, "1264691256472786")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAYED_CIRCULAR [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "126469389992117"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__F__c4__b8__REC_ARRAYED_CIRCULAR__remove_left__TAG_new_index__126469389992117
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", False, 1, True, "126469389992117", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__F__c4__b8__REC_ARRAYED_CIRCULAR__remove_left__TAG_new_index__126469389992117
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", False, 2, False, "126469389992117", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__F__c4__b8__REC_ARRAYED_CIRCULAR__remove_left__TAG_new_index__12646896141483813
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", False, 3, False, "12646896141483813", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__F__c4__b8__REC_ARRAYED_CIRCULAR__remove_left__TAG_new_index__12646896241493563
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", False, 4, False, "12646896241493563", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__F__c4__b8__REC_ARRAYED_CIRCULAR__remove_left__TAG_new_index__1264691251469336
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", False, 5, False, "1264691251469336", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__S__c0__b0__REC_ARRAYED_CIRCULAR__remove_left__TAG_noname__1264691249466983
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", True, 6, False, "1264691249466983", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__S__c0__b0__REC_ARRAYED_CIRCULAR__remove_left__TAG_noname__126469390796543
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", True, 7, False, "126469390796543", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__S__c0__b0__REC_ARRAYED_CIRCULAR__remove_left__TAG_noname__126469390393974
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", True, 8, False, "126469390393974", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_CIRCULAR__remove_left__S__c0__b0__REC_ARRAYED_CIRCULAR__remove_left__TAG_noname__1264691256472786
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "remove_left", 4, 8, "new_index", True, 9, False, "1264691256472786", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
