class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (15)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264688930947035")
			test_cases.extend (agent execute_test_case_3, "12646973021501474")
			test_cases.extend (agent execute_test_case_4, "12646966421220632")
			test_cases.extend (agent execute_test_case_5, "12646890091011307")
			test_cases.extend (agent execute_test_case_6, "12646973021500854")
			test_cases.extend (agent execute_test_case_7, "12646972971497681")
			test_cases.extend (agent execute_test_case_8, "1264691634696545")
			test_cases.extend (agent execute_test_case_9, "12646966341216394")
			test_cases.extend (agent execute_test_case_10, "12646973161512595")
			test_cases.extend (agent execute_test_case_11, "1264688927943885")
			test_cases.extend (agent execute_test_case_12, "12646890211025258")
			test_cases.extend (agent execute_test_case_13, "12646966561229290")
			test_cases.extend (agent execute_test_case_14, "12646973051503517")
			test_cases.extend (agent execute_test_case_15, "1264688923938311")
			test_cases.extend (agent execute_test_case_16, "1264691311506771")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {TRAVERSABLE_SUBSET [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (9)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {TRAVERSABLE_SUBSET [?ANY]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (9)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.after, "after")
				l_tbl.put (agent l_operand_1.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_1.count, "count")
				l_tbl.put (agent l_operand_1.empty, "empty")
				l_tbl.put (agent l_operand_1.extendible, "extendible")
				l_tbl.put (agent l_operand_1.is_empty, "is_empty")
				l_tbl.put (agent l_operand_1.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_1.off, "off")
				l_tbl.put (agent l_operand_1.prunable, "prunable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264688930947035"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__1264688930947035
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 1, True, "1264688930947035", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__1264688930947035
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 2, False, "1264688930947035", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__12646973021501474
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 3, False, "12646973021501474", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__12646966421220632
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 4, False, "12646966421220632", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__12646890091011307
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 5, False, "12646890091011307", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_SET__subtract__F__c4__b10__REC_TRAVERSABLE_SUBSET__subtract__TAG_is_disjoint__12646973021500854
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", False, 6, False, "12646973021500854", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646972971497681
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 7, False, "12646972971497681", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__1264691634696545
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 8, False, "1264691634696545", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646966341216394
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 9, False, "12646966341216394", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646973161512595
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 10, False, "12646973161512595", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__1264688927943885
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 11, False, "1264688927943885", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646890211025258
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 12, False, "12646890211025258", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646966561229290
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 13, False, "12646966561229290", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__12646973051503517
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 14, False, "12646973051503517", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__1264688923938311
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 15, False, "1264688923938311", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAYED_SET__subtract__S__c0__b0__REC_ARRAYED_SET__subtract__TAG_noname__1264691311506771
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TRAVERSABLE_SUBSET", "subtract", 4, 10, "is_disjoint", True, 16, False, "1264691311506771", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
