class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (22)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694044152089")
			test_cases.extend (agent execute_test_case_3, "1264695992964175")
			test_cases.extend (agent execute_test_case_4, "12646963321097463")
			test_cases.extend (agent execute_test_case_5, "12646898601644924")
			test_cases.extend (agent execute_test_case_6, "1264694062160067")
			test_cases.extend (agent execute_test_case_7, "12646963241093366")
			test_cases.extend (agent execute_test_case_8, "12646922521029295")
			test_cases.extend (agent execute_test_case_9, "1264694032146363")
			test_cases.extend (agent execute_test_case_10, "1264694829497444")
			test_cases.extend (agent execute_test_case_11, "1264688853877934")
			test_cases.extend (agent execute_test_case_12, "12646926441244215")
			test_cases.extend (agent execute_test_case_13, "12646927731326488")
			test_cases.extend (agent execute_test_case_14, "1264694811490573")
			test_cases.extend (agent execute_test_case_15, "1264694037148400")
			test_cases.extend (agent execute_test_case_16, "1264688440552550")
			test_cases.extend (agent execute_test_case_17, "1264694813491107")
			test_cases.extend (agent execute_test_case_18, "12646926581251109")
			test_cases.extend (agent execute_test_case_19, "1264695987961531")
			test_cases.extend (agent execute_test_case_20, "12646928401372782")
			test_cases.extend (agent execute_test_case_21, "1264695948940841")
			test_cases.extend (agent execute_test_case_22, "12646928531380596")
			test_cases.extend (agent execute_test_case_23, "1264690873215058")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAY [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.additional_space, "additional_space")
				l_tbl.put (agent l_operand_0.all_cleared, "all_cleared")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.growth_percentage, "growth_percentage")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.lower, "lower")
				l_tbl.put (agent l_operand_0.minimal_increase, "minimal_increase")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.upper, "upper")
				l_tbl.put (agent l_operand_0.valid_index_set, "valid_index_set")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {PROCEDURE [?ANY, ?TUPLE]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694044152089"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694044152089
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 1, True, "1264694044152089", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694044152089
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 2, False, "1264694044152089", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264695992964175
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 3, False, "1264695992964175", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646963321097463
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 4, False, "12646963321097463", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646898601644924
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 5, False, "12646898601644924", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694062160067
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 6, False, "1264694062160067", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646963241093366
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 7, False, "12646963241093366", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646922521029295
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 8, False, "12646922521029295", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694032146363
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 9, False, "1264694032146363", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694829497444
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 10, False, "1264694829497444", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264688853877934
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 11, False, "1264688853877934", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646926441244215
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 12, False, "12646926441244215", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__12646927731326488
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 13, False, "12646927731326488", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAY__do_all__F__c3__b1__REC_ARRAY__do_all__TAG_valid_operands__1264694811490573
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", False, 14, False, "1264694811490573", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264694037148400
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 15, False, "1264694037148400", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264688440552550
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 16, False, "1264688440552550", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264694813491107
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 17, False, "1264694813491107", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__12646926581251109
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 18, False, "12646926581251109", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264695987961531
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 19, False, "1264695987961531", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__12646928401372782
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 20, False, "12646928401372782", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264695948940841
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 21, False, "1264695948940841", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__12646928531380596
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 22, False, "12646928531380596", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__ARRAY__do_all__S__c0__b0__REC_ARRAY__do_all__TAG_noname__1264690873215058
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_all", 3, 1, "valid_operands", True, 23, False, "1264690873215058", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
