class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (21)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264696045991506")
			test_cases.extend (agent execute_test_case_3, "1264692207999579")
			test_cases.extend (agent execute_test_case_4, "12646898651647768")
			test_cases.extend (agent execute_test_case_5, "1264688164318035")
			test_cases.extend (agent execute_test_case_6, "1264690877217173")
			test_cases.extend (agent execute_test_case_7, "1264688896916472")
			test_cases.extend (agent execute_test_case_8, "12646927891336438")
			test_cases.extend (agent execute_test_case_9, "1264694812490888")
			test_cases.extend (agent execute_test_case_10, "1264688164318562")
			test_cases.extend (agent execute_test_case_11, "1264694280264165")
			test_cases.extend (agent execute_test_case_12, "1264696001969924")
			test_cases.extend (agent execute_test_case_13, "1264695962948417")
			test_cases.extend (agent execute_test_case_14, "1264694816492790")
			test_cases.extend (agent execute_test_case_15, "1264691082355813")
			test_cases.extend (agent execute_test_case_16, "1264688165319233")
			test_cases.extend (agent execute_test_case_17, "12646922311012710")
			test_cases.extend (agent execute_test_case_18, "1264691939881202")
			test_cases.extend (agent execute_test_case_19, "1264690880219113")
			test_cases.extend (agent execute_test_case_20, "12646928321368426")
			test_cases.extend (agent execute_test_case_21, "1264688912928871")
			test_cases.extend (agent execute_test_case_22, "12646898661649165")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAY [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.additional_space, "additional_space")
				l_tbl.put (agent l_operand_0.all_cleared, "all_cleared")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.growth_percentage, "growth_percentage")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.lower, "lower")
				l_tbl.put (agent l_operand_0.minimal_increase, "minimal_increase")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.upper, "upper")
				l_tbl.put (agent l_operand_0.valid_index_set, "valid_index_set")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {PROCEDURE [?ANY, ?TUPLE]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			if attached {FUNCTION [?ANY, ?TUPLE, ?ANY]} a_operands.item (2) as l_operand_2 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 2)
				l_tbl.put (agent l_operand_2.callable, "callable")
				l_tbl.put (agent l_operand_2.hash_code, "hash_code")
				l_tbl.put (agent l_operand_2.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_2.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_2.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 2)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264696045991506"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264696045991506
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 1, True, "1264696045991506", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264696045991506
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 2, False, "1264696045991506", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264692207999579
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 3, False, "1264692207999579", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__12646898651647768
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 4, False, "12646898651647768", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264688164318035
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 5, False, "1264688164318035", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264690877217173
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 6, False, "1264690877217173", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264688896916472
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 7, False, "1264688896916472", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__12646927891336438
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 8, False, "12646927891336438", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264694812490888
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 9, False, "1264694812490888", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264688164318562
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 10, False, "1264688164318562", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264694280264165
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 11, False, "1264694280264165", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264696001969924
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 12, False, "1264696001969924", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264695962948417
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 13, False, "1264695962948417", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAY__do_if__F__c3__b1__REC_ARRAY__do_if__TAG_valid_operands__1264694816492790
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", False, 14, False, "1264694816492790", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__1264691082355813
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 15, False, "1264691082355813", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__1264688165319233
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 16, False, "1264688165319233", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__12646922311012710
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 17, False, "12646922311012710", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__1264691939881202
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 18, False, "1264691939881202", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__1264690880219113
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 19, False, "1264690880219113", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__12646928321368426
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 20, False, "12646928321368426", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__1264688912928871
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 21, False, "1264688912928871", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ARRAY__do_if__S__c0__b0__REC_ARRAY__do_if__TAG_noname__12646898661649165
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if", 3, 1, "valid_operands", True, 22, False, "12646898661649165", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
