class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (19)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694290266160")
			test_cases.extend (agent execute_test_case_3, "1264695954943637")
			test_cases.extend (agent execute_test_case_4, "1264694317279569")
			test_cases.extend (agent execute_test_case_5, "12646928291366298")
			test_cases.extend (agent execute_test_case_6, "1264695288667022")
			test_cases.extend (agent execute_test_case_7, "12646928321368021")
			test_cases.extend (agent execute_test_case_8, "126468788650796")
			test_cases.extend (agent execute_test_case_9, "12646928351369881")
			test_cases.extend (agent execute_test_case_10, "1264696026980856")
			test_cases.extend (agent execute_test_case_11, "1264695956945337")
			test_cases.extend (agent execute_test_case_12, "126468786229044")
			test_cases.extend (agent execute_test_case_13, "126468787742462")
			test_cases.extend (agent execute_test_case_14, "12646927721325373")
			test_cases.extend (agent execute_test_case_15, "12646928321368068")
			test_cases.extend (agent execute_test_case_16, "1264694313277241")
			test_cases.extend (agent execute_test_case_17, "1264694813491056")
			test_cases.extend (agent execute_test_case_18, "1264695279663069")
			test_cases.extend (agent execute_test_case_19, "126468787843409")
			test_cases.extend (agent execute_test_case_20, "1264695986960751")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAY [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.additional_space, "additional_space")
				l_tbl.put (agent l_operand_0.all_cleared, "all_cleared")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.growth_percentage, "growth_percentage")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.lower, "lower")
				l_tbl.put (agent l_operand_0.minimal_increase, "minimal_increase")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.upper, "upper")
				l_tbl.put (agent l_operand_0.valid_index_set, "valid_index_set")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {PROCEDURE [?ANY, ?TUPLE]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			if attached {FUNCTION [?ANY, ?TUPLE, ?ANY]} a_operands.item (2) as l_operand_2 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 2)
				l_tbl.put (agent l_operand_2.callable, "callable")
				l_tbl.put (agent l_operand_2.hash_code, "hash_code")
				l_tbl.put (agent l_operand_2.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_2.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_2.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 2)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694290266160"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264694290266160
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 1, True, "1264694290266160", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264694290266160
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 2, False, "1264694290266160", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264695954943637
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 3, False, "1264695954943637", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264694317279569
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 4, False, "1264694317279569", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__12646928291366298
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 5, False, "12646928291366298", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264695288667022
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 6, False, "1264695288667022", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__12646928321368021
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 7, False, "12646928321368021", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__126468788650796
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 8, False, "126468788650796", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__12646928351369881
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 9, False, "12646928351369881", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264696026980856
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 10, False, "1264696026980856", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__1264695956945337
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 11, False, "1264695956945337", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__126468786229044
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 12, False, "126468786229044", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__126468787742462
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 13, False, "126468787742462", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAY__do_if_with_index__F__c3__b1__REC_ARRAY__do_if_with_index__TAG_valid_operands__12646927721325373
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", False, 14, False, "12646927721325373", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__12646928321368068
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 15, False, "12646928321368068", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__1264694313277241
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 16, False, "1264694313277241", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__1264694813491056
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 17, False, "1264694813491056", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__1264695279663069
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 18, False, "1264695279663069", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__126468787843409
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 19, False, "126468787843409", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAY__do_if_with_index__S__c0__b0__REC_ARRAY__do_if_with_index__TAG_noname__1264695986960751
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "do_if_with_index", 3, 1, "valid_operands", True, 20, False, "1264695986960751", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
