class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (19)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694058157624")
			test_cases.extend (agent execute_test_case_3, "12646928351369617")
			test_cases.extend (agent execute_test_case_4, "12646928371371464")
			test_cases.extend (agent execute_test_case_5, "12646928351370008")
			test_cases.extend (agent execute_test_case_6, "12646928291366039")
			test_cases.extend (agent execute_test_case_7, "126468789358090")
			test_cases.extend (agent execute_test_case_8, "1264694826496374")
			test_cases.extend (agent execute_test_case_9, "126468786733354")
			test_cases.extend (agent execute_test_case_10, "1264688906925670")
			test_cases.extend (agent execute_test_case_11, "1264688442554552")
			test_cases.extend (agent execute_test_case_12, "1264691066345684")
			test_cases.extend (agent execute_test_case_13, "12646922221009812")
			test_cases.extend (agent execute_test_case_14, "1264695988962151")
			test_cases.extend (agent execute_test_case_15, "1264688446557499")
			test_cases.extend (agent execute_test_case_16, "1264694029145361")
			test_cases.extend (agent execute_test_case_17, "12646926321235744")
			test_cases.extend (agent execute_test_case_18, "1264688905923916")
			test_cases.extend (agent execute_test_case_19, "12646963081086431")
			test_cases.extend (agent execute_test_case_20, "1264695960947353")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAY [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.additional_space, "additional_space")
				l_tbl.put (agent l_operand_0.all_cleared, "all_cleared")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.growth_percentage, "growth_percentage")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.lower, "lower")
				l_tbl.put (agent l_operand_0.minimal_increase, "minimal_increase")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.upper, "upper")
				l_tbl.put (agent l_operand_0.valid_index_set, "valid_index_set")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {FUNCTION [?ANY, ?TUPLE, ?ANY]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694058157624"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264694058157624
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 1, True, "1264694058157624", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264694058157624
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 2, False, "1264694058157624", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__12646928351369617
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 3, False, "12646928351369617", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__12646928371371464
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 4, False, "12646928371371464", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__12646928351370008
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 5, False, "12646928351370008", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__12646928291366039
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 6, False, "12646928291366039", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__126468789358090
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 7, False, "126468789358090", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264694826496374
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 8, False, "1264694826496374", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__126468786733354
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 9, False, "126468786733354", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264688906925670
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 10, False, "1264688906925670", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264688442554552
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 11, False, "1264688442554552", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__1264691066345684
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 12, False, "1264691066345684", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAY__for_all__F__c3__b1__REC_ARRAY__for_all__TAG_valid_operands__12646922221009812
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", False, 13, False, "12646922221009812", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__1264695988962151
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 14, False, "1264695988962151", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__1264688446557499
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 15, False, "1264688446557499", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__1264694029145361
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 16, False, "1264694029145361", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__12646926321235744
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 17, False, "12646926321235744", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__1264688905923916
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 18, False, "1264688905923916", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__12646963081086431
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 19, False, "12646963081086431", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAY__for_all__S__c0__b0__REC_ARRAY__for_all__TAG_noname__1264695960947353
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "for_all", 3, 1, "valid_operands", True, 20, False, "1264695960947353", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
