class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (22)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "12646963241093507")
			test_cases.extend (agent execute_test_case_3, "1264688897917255")
			test_cases.extend (agent execute_test_case_4, "12646898641647155")
			test_cases.extend (agent execute_test_case_5, "1264688050214200")
			test_cases.extend (agent execute_test_case_6, "12646927991342259")
			test_cases.extend (agent execute_test_case_7, "1264690877217073")
			test_cases.extend (agent execute_test_case_8, "1264694816492834")
			test_cases.extend (agent execute_test_case_9, "1264692201995766")
			test_cases.extend (agent execute_test_case_10, "126468789156155")
			test_cases.extend (agent execute_test_case_11, "12646926281232684")
			test_cases.extend (agent execute_test_case_12, "1264695989962516")
			test_cases.extend (agent execute_test_case_13, "12646898741655045")
			test_cases.extend (agent execute_test_case_14, "12646922401019409")
			test_cases.extend (agent execute_test_case_15, "12646922111002358")
			test_cases.extend (agent execute_test_case_16, "1264694057157384")
			test_cases.extend (agent execute_test_case_17, "1264696002970446")
			test_cases.extend (agent execute_test_case_18, "12646898641647061")
			test_cases.extend (agent execute_test_case_19, "1264695990963101")
			test_cases.extend (agent execute_test_case_20, "1264691938880156")
			test_cases.extend (agent execute_test_case_21, "1264695267657859")
			test_cases.extend (agent execute_test_case_22, "1264690865208716")
			test_cases.extend (agent execute_test_case_23, "126468789761322")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAY [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.additional_space, "additional_space")
				l_tbl.put (agent l_operand_0.all_cleared, "all_cleared")
				l_tbl.put (agent l_operand_0.all_default, "all_default")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.growth_percentage, "growth_percentage")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.lower, "lower")
				l_tbl.put (agent l_operand_0.minimal_increase, "minimal_increase")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.upper, "upper")
				l_tbl.put (agent l_operand_0.valid_index_set, "valid_index_set")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {FUNCTION [?ANY, ?TUPLE, ?ANY]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "12646963241093507"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646963241093507
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 1, True, "12646963241093507", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646963241093507
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 2, False, "12646963241093507", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264688897917255
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 3, False, "1264688897917255", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646898641647155
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 4, False, "12646898641647155", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264688050214200
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 5, False, "1264688050214200", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646927991342259
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 6, False, "12646927991342259", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264690877217073
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 7, False, "1264690877217073", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264694816492834
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 8, False, "1264694816492834", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264692201995766
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 9, False, "1264692201995766", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__126468789156155
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 10, False, "126468789156155", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646926281232684
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 11, False, "12646926281232684", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__1264695989962516
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 12, False, "1264695989962516", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646898741655045
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 13, False, "12646898741655045", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646922401019409
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 14, False, "12646922401019409", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAY__there_exists__F__c3__b1__REC_ARRAY__there_exists__TAG_valid_operands__12646922111002358
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", False, 15, False, "12646922111002358", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264694057157384
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 16, False, "1264694057157384", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264696002970446
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 17, False, "1264696002970446", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__12646898641647061
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 18, False, "12646898641647061", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264695990963101
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 19, False, "1264695990963101", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264691938880156
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 20, False, "1264691938880156", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264695267657859
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 21, False, "1264695267657859", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__1264690865208716
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 22, False, "1264690865208716", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__ARRAY__there_exists__S__c0__b0__REC_ARRAY__there_exists__TAG_noname__126468789761322
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAY", "there_exists", 3, 1, "valid_operands", True, 23, False, "126468789761322", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
