type ref;
const Void: ref;
function has_void() returns (bool);
function item(i: int) returns (ref);
function is_first() returns (bool);
function index() returns (int);
function at(i: int) returns (ref);
function is_empty() returns (bool);
function clone(other: ref) returns (ref);
function off() returns (bool);
function is_last() returns (bool);
function is_full() returns (bool);
function cloned_object() returns (ref);
function count() returns (int);
function same_items(v: ref, u: ref) returns (bool);
function is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function item_for_iteration() returns (ref);
function same_position(a_cursor: ref) returns (bool);
function to_array() returns (ref);
function generator() returns (ref);
function generating_type() returns (ref);
function same_equality_tester(other: ref) returns (bool);
function equality_tester_settable(a_tester: ref) returns (bool);
function default() returns (ref);
function standard_clone(other: ref) returns (ref);
function equal(some: ref, other: ref) returns (bool);
function new_capacity(n: int) returns (int);
function standard_is_equal(other: ref) returns (bool);
function standard_twin() returns (ref);
function conforms_to(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function io() returns (ref);
function operating_environment() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function tagged_out() returns (ref);
function twin() returns (ref);
function after_position() returns (int);
function valid_index(i: int) returns (bool);
function cursor_before(a_cursor: ref) returns (bool);
function special_routines() returns (ref);
function storage() returns (ref);
function new_cursor() returns (ref);
function equality_tester() returns (ref);
function first() returns (ref);
function last() returns (ref);
function cursor_item(a_cursor: ref) returns (ref);
function cursor_is_first(a_cursor: ref) returns (bool);
function internal_cursor() returns (ref);
function valid_cursor(a_cursor: ref) returns (bool);
function any_() returns (ref);
function is_deep_equal(other: ref) returns (bool);
function cursor_index(a_cursor: ref) returns (int);
function as_attached() returns (ref);
function has(v: ref) returns (bool);
function occurrences(v: ref) returns (int);
function cursor_off(a_cursor: ref) returns (bool);
function extendible(n: int) returns (bool);
function cursor_is_last(a_cursor: ref) returns (bool);
function for_all(a_test: ref) returns (bool);
function initialized() returns (bool);
function cursor_after(a_cursor: ref) returns (bool);
function sorted(a_sorter: ref) returns (bool);
function cursor_same_position(a_cursor: ref, other: ref) returns (bool);
function there_exists(a_test: ref) returns (bool);
function after() returns (bool);
function before() returns (bool);
function capacity() returns (int);
function default_capacity() returns (int);
const Current: ref;
axiom ( (storage()) != (Void));
axiom ( (capacity()) == (( (storage.count()) - (1))));
axiom ( (special_routines()) != (Void));
axiom ( (initialized()) ==> ((!  (( (after()) && (before()))))));
axiom ( (initialized()) ==> (( (before()) ==> (off()))));
axiom ( (initialized()) ==> (( (after()) ==> (off()))));
axiom ( (initialized()) ==> (( (is_empty()) ==> (off()))));
axiom ( (initialized()) ==> (( (internal_cursor()) != (Void))));
axiom ( (initialized()) ==> (valid_cursor (internal_cursor())));
axiom ( (count()) >= (0));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (count()) <= (capacity()));
axiom ( (is_full()) == (( (count()) == (capacity()))));
axiom ( (has_void()) ==> ((!  (is_empty()))));
axiom ( (is_first()) == (cursor_is_first (internal_cursor())));
axiom ( (is_first()) ==> ((!  (is_empty()))));
axiom ( (is_first()) ==> ((!  (off()))));
axiom ( (is_first()) ==> (( (item_for_iteration()) == (first()))));
axiom ( (off()) == (cursor_off (internal_cursor())));
axiom ( (is_last()) == (cursor_is_last (internal_cursor())));
axiom ( (is_last()) ==> ((!  (is_empty()))));
axiom ( (is_last()) ==> ((!  (off()))));
axiom ( (is_last()) ==> (( (item_for_iteration()) == (last()))));
axiom ( (initialized()) == (( (internal_cursor()) != (Void))));
axiom ( (after()) == (cursor_after (internal_cursor())));
axiom ( (before()) == (cursor_before (internal_cursor())));
function storage.standard_twin() returns (ref);
function storage.item(i: int) returns (ref);
function storage.at(i: int) returns (ref);
function storage.is_deep_equal(other: ref) returns (bool);
function storage.lower() returns (int);
function storage.clone(other: ref) returns (ref);
function storage.aliased_resized_area(n: int) returns (ref);
function storage.base_address() returns (ref);
function storage.item_address(i: int) returns (ref);
function storage.conforms_to(other: ref) returns (bool);
function storage.deep_clone(other: ref) returns (ref);
function storage.default_pointer() returns (ref);
function storage.io() returns (ref);
function storage.operating_environment() returns (ref);
function storage.same_type(other: ref) returns (bool);
function storage.standard_equal(some: ref, other: ref) returns (bool);
function storage.tagged_out() returns (ref);
function storage.twin() returns (ref);
function storage.as_attached() returns (ref);
function storage.count() returns (int);
function storage.upper() returns (int);
function storage.all_default(start_index: int, end_index: int) returns (bool);
function storage.index_of(v: ref, start_position: int) returns (int);
function storage.resized_area(n: int) returns (ref);
function storage.same_items(other: ref, other_index: int, current_index: int, n: int) returns (bool);
function storage.is_equal(other: ref) returns (bool);
function storage.standard_is_equal(other: ref) returns (bool);
function storage.deep_equal(some: ref, other: ref) returns (bool);
function storage.deep_twin() returns (ref);
function storage.out() returns (ref);
function storage.element_size() returns (int);
function storage.generator() returns (ref);
function storage.generating_type() returns (ref);
function storage.is_default(i: int) returns (bool);
function storage.aliased_resized_area_with_default(a_default_value: ref, n: int) returns (ref);
function storage.filled_with(v: ref, start_index: int, end_index: int) returns (bool);
function storage.default() returns (ref);
function storage.native_array() returns (ref);
function storage.capacity() returns (int);
function storage.debug_output() returns (ref);
function storage.valid_index(i: int) returns (bool);
function storage.standard_clone(other: ref) returns (ref);
function storage.equal(some: ref, other: ref) returns (bool);
const storage.Current: ref;
axiom (storage.standard_is_equal (storage.Current));
axiom (storage.conforms_to (storage.Current));
const n: int;
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (off()));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (is_last()));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (is_full()));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (initialized()));
}

procedure proc.ANY.afx_formula_5();
implementation proc.ANY.afx_formula_5() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (after()));
}

procedure proc.ANY.afx_formula_6();
implementation proc.ANY.afx_formula_6() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (before()))))) == (before()));
}

procedure proc.ANY.afx_formula_7();
implementation proc.ANY.afx_formula_7() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (has_void()));
}

procedure proc.ANY.afx_formula_8();
implementation proc.ANY.afx_formula_8() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (is_first()));
}

procedure proc.ANY.afx_formula_9();
implementation proc.ANY.afx_formula_9() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_10();
implementation proc.ANY.afx_formula_10() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (off()));
}

procedure proc.ANY.afx_formula_11();
implementation proc.ANY.afx_formula_11() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (is_last()));
}

procedure proc.ANY.afx_formula_12();
implementation proc.ANY.afx_formula_12() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (is_full()));
}

procedure proc.ANY.afx_formula_13();
implementation proc.ANY.afx_formula_13() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (initialized()));
}

procedure proc.ANY.afx_formula_14();
implementation proc.ANY.afx_formula_14() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (after()));
}

procedure proc.ANY.afx_formula_15();
implementation proc.ANY.afx_formula_15() {
	assert ( (( ((!  (is_empty()))) ==> (is_last()))) == (before()));
}

procedure proc.ANY.afx_formula_16();
implementation proc.ANY.afx_formula_16() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (has_void()));
}

procedure proc.ANY.afx_formula_17();
implementation proc.ANY.afx_formula_17() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (is_first()));
}

procedure proc.ANY.afx_formula_18();
implementation proc.ANY.afx_formula_18() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_19();
implementation proc.ANY.afx_formula_19() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (off()));
}

procedure proc.ANY.afx_formula_20();
implementation proc.ANY.afx_formula_20() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (is_last()));
}

procedure proc.ANY.afx_formula_21();
implementation proc.ANY.afx_formula_21() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (is_full()));
}

procedure proc.ANY.afx_formula_22();
implementation proc.ANY.afx_formula_22() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (initialized()));
}

procedure proc.ANY.afx_formula_23();
implementation proc.ANY.afx_formula_23() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (after()));
}

procedure proc.ANY.afx_formula_24();
implementation proc.ANY.afx_formula_24() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_last()))))) == (before()));
}

procedure proc.ANY.afx_formula_25();
implementation proc.ANY.afx_formula_25() {
	assert ( (( (is_empty()) ==> (after()))) == (has_void()));
}

procedure proc.ANY.afx_formula_26();
implementation proc.ANY.afx_formula_26() {
	assert ( (( (is_empty()) ==> (after()))) == (is_first()));
}

procedure proc.ANY.afx_formula_27();
implementation proc.ANY.afx_formula_27() {
	assert ( (( (is_empty()) ==> (after()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_28();
implementation proc.ANY.afx_formula_28() {
	assert ( (( (is_empty()) ==> (after()))) == (off()));
}

procedure proc.ANY.afx_formula_29();
implementation proc.ANY.afx_formula_29() {
	assert ( (( (is_empty()) ==> (after()))) == (is_last()));
}

procedure proc.ANY.afx_formula_30();
implementation proc.ANY.afx_formula_30() {
	assert ( (( (is_empty()) ==> (after()))) == (is_full()));
}

procedure proc.ANY.afx_formula_31();
implementation proc.ANY.afx_formula_31() {
	assert ( (( (is_empty()) ==> (after()))) == (initialized()));
}

procedure proc.ANY.afx_formula_32();
implementation proc.ANY.afx_formula_32() {
	assert ( (( (is_empty()) ==> (after()))) == (after()));
}

procedure proc.ANY.afx_formula_33();
implementation proc.ANY.afx_formula_33() {
	assert ( (( (is_empty()) ==> (after()))) == (before()));
}

procedure proc.ANY.afx_formula_34();
implementation proc.ANY.afx_formula_34() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (has_void()));
}

procedure proc.ANY.afx_formula_35();
implementation proc.ANY.afx_formula_35() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (is_first()));
}

procedure proc.ANY.afx_formula_36();
implementation proc.ANY.afx_formula_36() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_37();
implementation proc.ANY.afx_formula_37() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (off()));
}

procedure proc.ANY.afx_formula_38();
implementation proc.ANY.afx_formula_38() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (is_last()));
}

procedure proc.ANY.afx_formula_39();
implementation proc.ANY.afx_formula_39() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (is_full()));
}

procedure proc.ANY.afx_formula_40();
implementation proc.ANY.afx_formula_40() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (initialized()));
}

procedure proc.ANY.afx_formula_41();
implementation proc.ANY.afx_formula_41() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (after()));
}

procedure proc.ANY.afx_formula_42();
implementation proc.ANY.afx_formula_42() {
	assert ( (( (is_empty()) ==> ((!  (after()))))) == (before()));
}

procedure proc.ANY.afx_formula_43();
implementation proc.ANY.afx_formula_43() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (has_void()));
}

procedure proc.ANY.afx_formula_44();
implementation proc.ANY.afx_formula_44() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (is_first()));
}

procedure proc.ANY.afx_formula_45();
implementation proc.ANY.afx_formula_45() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_46();
implementation proc.ANY.afx_formula_46() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (off()));
}

procedure proc.ANY.afx_formula_47();
implementation proc.ANY.afx_formula_47() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (is_last()));
}

procedure proc.ANY.afx_formula_48();
implementation proc.ANY.afx_formula_48() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (is_full()));
}

procedure proc.ANY.afx_formula_49();
implementation proc.ANY.afx_formula_49() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (initialized()));
}

procedure proc.ANY.afx_formula_50();
implementation proc.ANY.afx_formula_50() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (after()));
}

procedure proc.ANY.afx_formula_51();
implementation proc.ANY.afx_formula_51() {
	assert ( (( ((!  (is_empty()))) ==> (after()))) == (before()));
}

procedure proc.ANY.afx_formula_52();
implementation proc.ANY.afx_formula_52() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (has_void()));
}

procedure proc.ANY.afx_formula_53();
implementation proc.ANY.afx_formula_53() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (is_first()));
}

procedure proc.ANY.afx_formula_54();
implementation proc.ANY.afx_formula_54() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_55();
implementation proc.ANY.afx_formula_55() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (off()));
}

procedure proc.ANY.afx_formula_56();
implementation proc.ANY.afx_formula_56() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (is_last()));
}

procedure proc.ANY.afx_formula_57();
implementation proc.ANY.afx_formula_57() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (is_full()));
}

procedure proc.ANY.afx_formula_58();
implementation proc.ANY.afx_formula_58() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (initialized()));
}

procedure proc.ANY.afx_formula_59();
implementation proc.ANY.afx_formula_59() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (after()));
}

procedure proc.ANY.afx_formula_60();
implementation proc.ANY.afx_formula_60() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (after()))))) == (before()));
}

procedure proc.ANY.afx_formula_61();
implementation proc.ANY.afx_formula_61() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (has_void()));
}

procedure proc.ANY.afx_formula_62();
implementation proc.ANY.afx_formula_62() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (is_first()));
}

procedure proc.ANY.afx_formula_63();
implementation proc.ANY.afx_formula_63() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_64();
implementation proc.ANY.afx_formula_64() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (off()));
}

procedure proc.ANY.afx_formula_65();
implementation proc.ANY.afx_formula_65() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (is_last()));
}

procedure proc.ANY.afx_formula_66();
implementation proc.ANY.afx_formula_66() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (is_full()));
}

procedure proc.ANY.afx_formula_67();
implementation proc.ANY.afx_formula_67() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (initialized()));
}

procedure proc.ANY.afx_formula_68();
implementation proc.ANY.afx_formula_68() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (after()));
}

procedure proc.ANY.afx_formula_69();
implementation proc.ANY.afx_formula_69() {
	assert ( (( ((!  (is_empty()))) ==> (is_first()))) == (before()));
}

procedure proc.ANY.afx_formula_70();
implementation proc.ANY.afx_formula_70() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (has_void()));
}

procedure proc.ANY.afx_formula_71();
implementation proc.ANY.afx_formula_71() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (is_first()));
}

procedure proc.ANY.afx_formula_72();
implementation proc.ANY.afx_formula_72() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_73();
implementation proc.ANY.afx_formula_73() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (off()));
}

procedure proc.ANY.afx_formula_74();
implementation proc.ANY.afx_formula_74() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (is_last()));
}

procedure proc.ANY.afx_formula_75();
implementation proc.ANY.afx_formula_75() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (is_full()));
}

procedure proc.ANY.afx_formula_76();
implementation proc.ANY.afx_formula_76() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (initialized()));
}

procedure proc.ANY.afx_formula_77();
implementation proc.ANY.afx_formula_77() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (after()));
}

procedure proc.ANY.afx_formula_78();
implementation proc.ANY.afx_formula_78() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (is_first()))))) == (before()));
}

