class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (6)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694194223716")
			test_cases.extend (agent execute_test_case_3, "1264694210231915")
			test_cases.extend (agent execute_test_case_4, "1264688085246840")
			test_cases.extend (agent execute_test_case_5, "12646961861032240")
			test_cases.extend (agent execute_test_case_6, "12646961941037516")
			test_cases.extend (agent execute_test_case_7, "1264694220238697")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {LINKED_PRIORITY_QUEUE [COMPARABLE]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (11)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694194223716"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__F__c4__b6__REC_LINKED_PRIORITY_QUEUE__remove__TAG_after_when_empty__1264694194223716
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", False, 1, True, "1264694194223716", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__F__c4__b6__REC_LINKED_PRIORITY_QUEUE__remove__TAG_after_when_empty__1264694194223716
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", False, 2, False, "1264694194223716", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__F__c4__b6__REC_LINKED_PRIORITY_QUEUE__remove__TAG_after_when_empty__1264694210231915
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", False, 3, False, "1264694210231915", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune__TAG_noname__1264688085246840
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", True, 4, False, "1264688085246840", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune__TAG_noname__12646961861032240
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", True, 5, False, "12646961861032240", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune__TAG_noname__12646961941037516
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", True, 6, False, "12646961941037516", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune__TAG_noname__1264694220238697
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINKED_PRIORITY_QUEUE", "remove", 4, 6, "after_when_empty", True, 7, False, "1264694220238697", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
