class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (6)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694225242293")
			test_cases.extend (agent execute_test_case_3, "1264694196225265")
			test_cases.extend (agent execute_test_case_4, "1264688836863360")
			test_cases.extend (agent execute_test_case_5, "12646961881033978")
			test_cases.extend (agent execute_test_case_6, "12646929641456082")
			test_cases.extend (agent execute_test_case_7, "1264692040913835")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {SORTED_TWO_WAY_LIST [COMPARABLE]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.sorted, "sorted")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {COMPARABLE} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694225242293"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__F__c6__b10__REC_SORTED_TWO_WAY_LIST__prune_all__TAG_readable_definition__1264694225242293
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", False, 1, True, "1264694225242293", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__F__c6__b10__REC_SORTED_TWO_WAY_LIST__prune_all__TAG_readable_definition__1264694225242293
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", False, 2, False, "1264694225242293", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__F__c6__b10__REC_SORTED_TWO_WAY_LIST__prune_all__TAG_readable_definition__1264694196225265
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", False, 3, False, "1264694196225265", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__F__c6__b10__REC_SORTED_TWO_WAY_LIST__prune_all__TAG_readable_definition__1264688836863360
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", False, 4, False, "1264688836863360", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__F__c6__b10__REC_SORTED_TWO_WAY_LIST__prune_all__TAG_readable_definition__12646961881033978
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", False, 5, False, "12646961881033978", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune_all__TAG_noname__12646929641456082
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", True, 6, False, "12646929641456082", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__LINKED_PRIORITY_QUEUE__prune_all__S__c0__b0__REC_LINKED_PRIORITY_QUEUE__prune_all__TAG_noname__1264692040913835
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("SORTED_TWO_WAY_LIST", "prune_all", 6, 10, "readable_definition", True, 7, False, "1264692040913835", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
