class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (15)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264688336471217")
			test_cases.extend (agent execute_test_case_3, "12646925381182456")
			test_cases.extend (agent execute_test_case_4, "12646894511374668")
			test_cases.extend (agent execute_test_case_5, "1264695495750721")
			test_cases.extend (agent execute_test_case_6, "12646894671390754")
			test_cases.extend (agent execute_test_case_7, "12646894571381059")
			test_cases.extend (agent execute_test_case_8, "12646894551378906")
			test_cases.extend (agent execute_test_case_9, "12646925521192529")
			test_cases.extend (agent execute_test_case_10, "1264695503756326")
			test_cases.extend (agent execute_test_case_11, "12646894601383545")
			test_cases.extend (agent execute_test_case_12, "12646928031345517")
			test_cases.extend (agent execute_test_case_13, "12646965251167872")
			test_cases.extend (agent execute_test_case_14, "1264695494750554")
			test_cases.extend (agent execute_test_case_15, "1264688326460126")
			test_cases.extend (agent execute_test_case_16, "12646928121350437")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {TWO_WAY_SORTED_SET [COMPARABLE]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.sorted, "sorted")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {INTEGER_32} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (1)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent (l_value: INTEGER_32): INTEGER_32 do Result := l_value end (l_operand_1), "item")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264688336471217"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__1264688336471217
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 1, True, "1264688336471217", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__1264688336471217
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 2, False, "1264688336471217", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__12646925381182456
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 3, False, "12646925381182456", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__12646894511374668
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 4, False, "12646894511374668", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__1264695495750721
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 5, False, "1264695495750721", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__F__c3__b2__REC_TWO_WAY_SORTED_SET__duplicate__TAG_readable__12646894671390754
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", False, 6, False, "12646894671390754", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646894571381059
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 7, False, "12646894571381059", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646894551378906
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 8, False, "12646894551378906", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646925521192529
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 9, False, "12646925521192529", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__1264695503756326
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 10, False, "1264695503756326", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646894601383545
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 11, False, "12646894601383545", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646928031345517
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 12, False, "12646928031345517", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646965251167872
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 13, False, "12646965251167872", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__1264695494750554
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 14, False, "1264695494750554", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__1264688326460126
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 15, False, "1264688326460126", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__TWO_WAY_SORTED_SET__duplicate__S__c0__b0__REC_TWO_WAY_SORTED_SET__duplicate__TAG_noname__12646928121350437
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "duplicate", 3, 2, "readable", True, 16, False, "12646928121350437", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
