class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (15)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264695480744851")
			test_cases.extend (agent execute_test_case_3, "12646925461187881")
			test_cases.extend (agent execute_test_case_4, "12646965521180266")
			test_cases.extend (agent execute_test_case_5, "12646925531194278")
			test_cases.extend (agent execute_test_case_6, "1264688333468029")
			test_cases.extend (agent execute_test_case_7, "1264688339474603")
			test_cases.extend (agent execute_test_case_8, "12646894641387418")
			test_cases.extend (agent execute_test_case_9, "1264688323458065")
			test_cases.extend (agent execute_test_case_10, "12646928051346332")
			test_cases.extend (agent execute_test_case_11, "1264688338473525")
			test_cases.extend (agent execute_test_case_12, "12646894551379024")
			test_cases.extend (agent execute_test_case_13, "12646928061346693")
			test_cases.extend (agent execute_test_case_14, "12646965341171878")
			test_cases.extend (agent execute_test_case_15, "12646928191356740")
			test_cases.extend (agent execute_test_case_16, "1264695495750631")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {TWO_WAY_SORTED_SET [COMPARABLE]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (18)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.sorted, "sorted")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {COMPARABLE} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264695480744851"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__F__c4__b20__REC_TWO_WAY_SORTED_SET__extend__TAG_in_set_already__1264695480744851
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", False, 1, True, "1264695480744851", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__F__c4__b20__REC_TWO_WAY_SORTED_SET__extend__TAG_in_set_already__1264695480744851
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", False, 2, False, "1264695480744851", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__F__c4__b20__REC_TWO_WAY_SORTED_SET__extend__TAG_in_set_already__12646925461187881
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", False, 3, False, "12646925461187881", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646965521180266
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 4, False, "12646965521180266", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646925531194278
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 5, False, "12646925531194278", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__1264688333468029
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 6, False, "1264688333468029", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__1264688339474603
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 7, False, "1264688339474603", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646894641387418
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 8, False, "12646894641387418", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__1264688323458065
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 9, False, "1264688323458065", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646928051346332
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 10, False, "12646928051346332", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__1264688338473525
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 11, False, "1264688338473525", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646894551379024
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 12, False, "12646894551379024", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646928061346693
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 13, False, "12646928061346693", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646965341171878
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 14, False, "12646965341171878", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__12646928191356740
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 15, False, "12646928191356740", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__TWO_WAY_SORTED_SET__force__S__c0__b0__REC_TWO_WAY_SORTED_SET__force__TAG_noname__1264695495750631
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("TWO_WAY_SORTED_SET", "extend", 4, 20, "in_set_already", True, 16, False, "1264695495750631", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
