type ref;
const Void: ref;
function before() returns (bool);
function item() returns (ref);
function last() returns (ref);
function at(i: int) returns (ref);
function isfirst() returns (bool);
function islast() returns (bool);
function clone(other: ref) returns (ref);
function first() returns (ref);
function empty() returns (bool);
function valid_cursor_index(i: int) returns (bool);
function object_comparison() returns (bool);
function changeable_comparison_criterion() returns (bool);
function full() returns (bool);
function readable() returns (bool);
function sorted() returns (bool);
function linear_representation() returns (ref);
function writable() returns (bool);
function count() returns (int);
function off() returns (bool);
function exhausted() returns (bool);
function index_of(v: ref, i: int) returns (int);
function median() returns (ref);
function is_equal(other: ref) returns (bool);
function standard_is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function max() returns (ref);
function min() returns (ref);
function extendible() returns (bool);
function generator() returns (ref);
function generating_type() returns (ref);
function is_empty() returns (bool);
function default() returns (ref);
function is_inserted(v: ref) returns (bool);
function sublist() returns (ref);
function prunable() returns (bool);
function index() returns (int);
function standard_clone(other: ref) returns (ref);
function equal(some: ref, other: ref) returns (bool);
function standard_twin() returns (ref);
function active() returns (ref);
function conforms_to(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function operating_environment() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function i_th(i: int) returns (ref);
function twin() returns (ref);
function sequential_has(v: ref) returns (bool);
function duplicate(n: int) returns (ref);
function new_chain() returns (ref);
function next() returns (ref);
function previous() returns (ref);
function new_cell(v: ref) returns (ref);
function disjoint(other: ref) returns (bool);
function subset_strategy(other: ref) returns (ref);
function is_subset(other: ref) returns (bool);
function valid_index(i: int) returns (bool);
function subset_strategy_selection(v: ref, other: ref) returns (ref);
function is_superset(other: ref) returns (bool);
function cs_min() returns (ref);
function cs_max() returns (ref);
function sequential_index_of(v: ref, i: int) returns (int);
function is_deep_equal(other: ref) returns (bool);
function item_for_iteration() returns (ref);
function first_element() returns (ref);
function as_attached() returns (ref);
function sequential_occurrences(v: ref) returns (int);
function min_max_available() returns (bool);
function has(v: ref) returns (bool);
function occurrences(v: ref) returns (int);
function index_set() returns (ref);
function cursor() returns (ref);
function io() returns (ref);
function last_element() returns (ref);
function valid_cursor(p: ref) returns (bool);
function tagged_out() returns (ref);
function there_exists(test: ref) returns (bool);
function for_all(test: ref) returns (bool);
function after() returns (bool);
const Current: ref;
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (min_max_available()) ==> ((!  (is_empty()))));
axiom (!  (( (after()) && (before()))));
axiom ( (before()) ==> (off()));
axiom ( (after()) ==> (off()));
axiom ( (is_empty()) ==> (off()));
axiom ( (before()) == (( (index()) == (0))));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom ( (count()) >= (0));
axiom ( ((!  (is_empty()))) ==> (( (( (first_element()) != (Void))) && (( (last_element()) != (Void))))));
axiom (prunable());
axiom ( (is_empty()) ==> (( (( (first_element()) == (Void))) && (( (active()) == (Void))))));
axiom ( (( (active()) == (Void))) ==> (is_empty()));
axiom ( (before()) ==> (( (active()) == (first_element()))));
axiom ( (after()) ==> (( (active()) == (last_element()))));
axiom ( (after()) == (( (index()) == (( (count()) + (1))))));
axiom ( (index()) >= (0));
axiom ( (index()) <= (( (count()) + (1))));
axiom ( (off()) == (( (( (index()) == (0))) || (( (index()) == (( (count()) + (1))))))));
axiom ( (isfirst()) == (( ((!  (is_empty()))) && (( (index()) == (1))))));
axiom ( (islast()) == (( ((!  (is_empty()))) && (( (index()) == (count()))))));
axiom ( ((!  (off()))) ==> (( (item()) == (i_th (index())))));
axiom ( (index_set.count()) == (count()));
axiom ( (writable()) ==> (readable()));
axiom ( (is_empty()) ==> (( ((!  (readable()))) && ((!  (writable()))))));
axiom ( (index_set()) != (Void));
axiom (extendible());
axiom ( (isfirst()) == (( (( ((!  (after()))) && ((!  (before()))))) && (( (active()) == (first_element()))))));
axiom ( (isfirst()) ==> ((!  (is_empty()))));
axiom ( (islast()) == (( (( (( (active()) == (last_element()))) && ((!  (after()))))) && ((!  (before()))))));
axiom ( (islast()) ==> ((!  (is_empty()))));
axiom ( (empty()) == (is_empty()));
axiom ( (changeable_comparison_criterion()) == (is_empty()));
axiom ( (readable()) == ((!  (off()))));
axiom ( (writable()) == ((!  (off()))));
axiom ( (off()) == (( (after()) || (before()))));
axiom ( (exhausted()) == (off()));
axiom ( (off()) ==> (exhausted()));
axiom ( (prunable()) == (true));
axiom ( (min_max_available()) == ((!  (is_empty()))));
function index_set.item(i: int) returns (int);
function index_set.resizable() returns (bool);
function index_set.at(i: int) returns (int);
function index_set.growth_percentage() returns (int);
function index_set.is_inserted(v: int) returns (bool);
function index_set.minimal_increase() returns (int);
function index_set.lower() returns (int);
function index_set.clone(other: ref) returns (ref);
function index_set.to_c() returns (ref);
function index_set.has(v: int) returns (bool);
function index_set.occurrences(v: int) returns (int);
function index_set.index_set() returns (ref);
function index_set.additional_space() returns (int);
function index_set.all_cleared() returns (bool);
function index_set.is_deep_equal(other: ref) returns (bool);
function index_set.count() returns (int);
function index_set.upper() returns (int);
function index_set.is_equal(other: ref) returns (bool);
function index_set.standard_is_equal(other: ref) returns (bool);
function index_set.as_attached() returns (ref);
function index_set.deep_twin() returns (ref);
function index_set.prunable() returns (bool);
function index_set.generator() returns (ref);
function index_set.generating_type() returns (ref);
function index_set.default() returns (ref);
function index_set.full() returns (bool);
function index_set.capacity() returns (int);
function index_set.object_comparison() returns (bool);
function index_set.standard_clone(other: ref) returns (ref);
function index_set.equal(some: ref, other: ref) returns (bool);
function index_set.same_type(other: ref) returns (bool);
function index_set.lower_internal() returns (int);
function index_set.standard_equal(some: ref, other: ref) returns (bool);
function index_set.standard_twin() returns (ref);
function index_set.deep_equal(some: ref, other: ref) returns (bool);
function index_set.out() returns (ref);
function index_set.for_all(condition: ref) returns (bool);
function index_set.empty() returns (bool);
function index_set.upper_internal() returns (int);
function index_set.extendible() returns (bool);
function index_set.valid_index(v: int) returns (bool);
function index_set.is_empty() returns (bool);
function index_set.conforms_to(other: ref) returns (bool);
function index_set.deep_clone(other: ref) returns (ref);
function index_set.default_pointer() returns (ref);
function index_set.io() returns (ref);
function index_set.operating_environment() returns (ref);
function index_set.lower_defined() returns (bool);
function index_set.upper_defined() returns (bool);
function index_set.tagged_out() returns (ref);
function index_set.changeable_comparison_criterion() returns (bool);
function index_set.twin() returns (ref);
function index_set.exists(condition: ref) returns (bool);
function index_set.as_array() returns (ref);
function index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
function index_set.linear_representation() returns (ref);
function index_set.hold_count(condition: ref) returns (int);
function index_set.exists1(condition: ref) returns (bool);
const index_set.Current: ref;
axiom ( (( (index_set.upper_defined()) && (index_set.lower_defined()))) ==> (( (index_set.count()) == (( (( (index_set.upper()) - (index_set.lower()))) + (1))))));
axiom ( (index_set.index_set()) == (index_set.Current));
axiom ( (index_set.upper_defined()) && (index_set.lower_defined()));
axiom ( (index_set.minimal_increase()) >= (1));
axiom ( (index_set.count()) <= (index_set.capacity()));
axiom ( (index_set.full()) == (( (index_set.count()) == (index_set.capacity()))));
axiom ( (index_set.is_empty()) == (( (index_set.count()) == (0))));
axiom ( (index_set.count()) >= (0));
axiom (index_set.standard_is_equal (index_set.Current));
axiom (index_set.conforms_to (index_set.Current));
axiom ( (index_set.index_set()) != (Void));
axiom ( (index_set.resizable()) == (true));
axiom ( (index_set.all_cleared()) == (( (( (index_set.lower()) == (0))) && (( (index_set.upper()) == (0))))));
axiom ( (index_set.prunable()) == (false));
axiom ( (index_set.empty()) == (index_set.is_empty()));
axiom ( (index_set.extendible()) == (true));
axiom ( (index_set.changeable_comparison_criterion()) == (index_set.is_empty()));
function other.before() returns (bool);
function other.item() returns (ref);
function other.last() returns (ref);
function other.at(i: int) returns (ref);
function other.isfirst() returns (bool);
function other.islast() returns (bool);
function other.clone(other: ref) returns (ref);
function other.first() returns (ref);
function other.empty() returns (bool);
function other.valid_cursor_index(i: int) returns (bool);
function other.object_comparison() returns (bool);
function other.changeable_comparison_criterion() returns (bool);
function other.full() returns (bool);
function other.readable() returns (bool);
function other.sorted() returns (bool);
function other.linear_representation() returns (ref);
function other.writable() returns (bool);
function other.count() returns (int);
function other.off() returns (bool);
function other.exhausted() returns (bool);
function other.index_of(v: ref, i: int) returns (int);
function other.median() returns (ref);
function other.is_equal(other: ref) returns (bool);
function other.standard_is_equal(other: ref) returns (bool);
function other.deep_equal(some: ref, other: ref) returns (bool);
function other.deep_twin() returns (ref);
function other.out() returns (ref);
function other.max() returns (ref);
function other.min() returns (ref);
function other.extendible() returns (bool);
function other.generator() returns (ref);
function other.generating_type() returns (ref);
function other.is_empty() returns (bool);
function other.default() returns (ref);
function other.is_inserted(v: ref) returns (bool);
function other.sublist() returns (ref);
function other.prunable() returns (bool);
function other.index() returns (int);
function other.standard_clone(other: ref) returns (ref);
function other.equal(some: ref, other: ref) returns (bool);
function other.standard_twin() returns (ref);
function other.active() returns (ref);
function other.conforms_to(other: ref) returns (bool);
function other.deep_clone(other: ref) returns (ref);
function other.default_pointer() returns (ref);
function other.operating_environment() returns (ref);
function other.same_type(other: ref) returns (bool);
function other.standard_equal(some: ref, other: ref) returns (bool);
function other.i_th(i: int) returns (ref);
function other.twin() returns (ref);
function other.sequential_has(v: ref) returns (bool);
function other.duplicate(n: int) returns (ref);
function other.new_chain() returns (ref);
function other.next() returns (ref);
function other.previous() returns (ref);
function other.new_cell(v: ref) returns (ref);
function other.disjoint(other: ref) returns (bool);
function other.subset_strategy(other: ref) returns (ref);
function other.is_subset(other: ref) returns (bool);
function other.valid_index(i: int) returns (bool);
function other.subset_strategy_selection(v: ref, other: ref) returns (ref);
function other.is_superset(other: ref) returns (bool);
function other.cs_min() returns (ref);
function other.cs_max() returns (ref);
function other.sequential_index_of(v: ref, i: int) returns (int);
function other.is_deep_equal(other: ref) returns (bool);
function other.item_for_iteration() returns (ref);
function other.first_element() returns (ref);
function other.as_attached() returns (ref);
function other.sequential_occurrences(v: ref) returns (int);
function other.min_max_available() returns (bool);
function other.has(v: ref) returns (bool);
function other.occurrences(v: ref) returns (int);
function other.index_set() returns (ref);
function other.cursor() returns (ref);
function other.io() returns (ref);
function other.last_element() returns (ref);
function other.valid_cursor(p: ref) returns (bool);
function other.tagged_out() returns (ref);
function other.there_exists(test: ref) returns (bool);
function other.for_all(test: ref) returns (bool);
function other.after() returns (bool);
const other.Current: ref;
axiom (other.standard_is_equal (other.Current));
axiom (other.conforms_to (other.Current));
axiom ( (other.min_max_available()) ==> ((!  (other.is_empty()))));
axiom (!  (( (other.after()) && (other.before()))));
axiom ( (other.before()) ==> (other.off()));
axiom ( (other.after()) ==> (other.off()));
axiom ( (other.is_empty()) ==> (other.off()));
axiom ( (other.before()) == (( (other.index()) == (0))));
axiom ( (other.is_empty()) == (( (other.count()) == (0))));
axiom ( (other.count()) >= (0));
axiom ( ((!  (other.is_empty()))) ==> (( (( (other.first_element()) != (Void))) && (( (other.last_element()) != (Void))))));
axiom (other.prunable());
axiom ( (other.is_empty()) ==> (( (( (other.first_element()) == (Void))) && (( (other.active()) == (Void))))));
axiom ( (( (other.active()) == (Void))) ==> (other.is_empty()));
axiom ( (other.before()) ==> (( (other.active()) == (other.first_element()))));
axiom ( (other.after()) ==> (( (other.active()) == (other.last_element()))));
axiom ( (other.after()) == (( (other.index()) == (( (other.count()) + (1))))));
axiom ( (other.index()) >= (0));
axiom ( (other.index()) <= (( (other.count()) + (1))));
axiom ( (other.off()) == (( (( (other.index()) == (0))) || (( (other.index()) == (( (other.count()) + (1))))))));
axiom ( (other.isfirst()) == (( ((!  (other.is_empty()))) && (( (other.index()) == (1))))));
axiom ( (other.islast()) == (( ((!  (other.is_empty()))) && (( (other.index()) == (other.count()))))));
axiom ( ((!  (other.off()))) ==> (( (other.item()) == (other.i_th (other.index())))));
axiom ( (other.index_set.count()) == (other.count()));
axiom ( (other.writable()) ==> (other.readable()));
axiom ( (other.is_empty()) ==> (( ((!  (other.readable()))) && ((!  (other.writable()))))));
axiom ( (other.index_set()) != (Void));
axiom (other.extendible());
axiom ( (other.isfirst()) == (( (( ((!  (other.after()))) && ((!  (other.before()))))) && (( (other.active()) == (other.first_element()))))));
axiom ( (other.isfirst()) ==> ((!  (other.is_empty()))));
axiom ( (other.islast()) == (( (( (( (other.active()) == (other.last_element()))) && ((!  (other.after()))))) && ((!  (other.before()))))));
axiom ( (other.islast()) ==> ((!  (other.is_empty()))));
axiom ( (other.empty()) == (other.is_empty()));
axiom ( (other.changeable_comparison_criterion()) == (other.is_empty()));
axiom ( (other.readable()) == ((!  (other.off()))));
axiom ( (other.writable()) == ((!  (other.off()))));
axiom ( (other.off()) == (( (other.after()) || (other.before()))));
axiom ( (other.exhausted()) == (other.off()));
axiom ( (other.off()) ==> (other.exhausted()));
axiom ( (other.prunable()) == (true));
axiom ( (other.min_max_available()) == ((!  (other.is_empty()))));
function other.index_set.item(i: int) returns (int);
function other.index_set.resizable() returns (bool);
function other.index_set.at(i: int) returns (int);
function other.index_set.growth_percentage() returns (int);
function other.index_set.is_inserted(v: int) returns (bool);
function other.index_set.minimal_increase() returns (int);
function other.index_set.lower() returns (int);
function other.index_set.clone(other: ref) returns (ref);
function other.index_set.to_c() returns (ref);
function other.index_set.has(v: int) returns (bool);
function other.index_set.occurrences(v: int) returns (int);
function other.index_set.index_set() returns (ref);
function other.index_set.additional_space() returns (int);
function other.index_set.all_cleared() returns (bool);
function other.index_set.is_deep_equal(other: ref) returns (bool);
function other.index_set.count() returns (int);
function other.index_set.upper() returns (int);
function other.index_set.is_equal(other: ref) returns (bool);
function other.index_set.standard_is_equal(other: ref) returns (bool);
function other.index_set.as_attached() returns (ref);
function other.index_set.deep_twin() returns (ref);
function other.index_set.prunable() returns (bool);
function other.index_set.generator() returns (ref);
function other.index_set.generating_type() returns (ref);
function other.index_set.default() returns (ref);
function other.index_set.full() returns (bool);
function other.index_set.capacity() returns (int);
function other.index_set.object_comparison() returns (bool);
function other.index_set.standard_clone(other: ref) returns (ref);
function other.index_set.equal(some: ref, other: ref) returns (bool);
function other.index_set.same_type(other: ref) returns (bool);
function other.index_set.lower_internal() returns (int);
function other.index_set.standard_equal(some: ref, other: ref) returns (bool);
function other.index_set.standard_twin() returns (ref);
function other.index_set.deep_equal(some: ref, other: ref) returns (bool);
function other.index_set.out() returns (ref);
function other.index_set.for_all(condition: ref) returns (bool);
function other.index_set.empty() returns (bool);
function other.index_set.upper_internal() returns (int);
function other.index_set.extendible() returns (bool);
function other.index_set.valid_index(v: int) returns (bool);
function other.index_set.is_empty() returns (bool);
function other.index_set.conforms_to(other: ref) returns (bool);
function other.index_set.deep_clone(other: ref) returns (ref);
function other.index_set.default_pointer() returns (ref);
function other.index_set.io() returns (ref);
function other.index_set.operating_environment() returns (ref);
function other.index_set.lower_defined() returns (bool);
function other.index_set.upper_defined() returns (bool);
function other.index_set.tagged_out() returns (ref);
function other.index_set.changeable_comparison_criterion() returns (bool);
function other.index_set.twin() returns (ref);
function other.index_set.exists(condition: ref) returns (bool);
function other.index_set.as_array() returns (ref);
function other.index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
function other.index_set.linear_representation() returns (ref);
function other.index_set.hold_count(condition: ref) returns (int);
function other.index_set.exists1(condition: ref) returns (bool);
const other.index_set.Current: ref;
axiom ( (( (other.index_set.upper_defined()) && (other.index_set.lower_defined()))) ==> (( (other.index_set.count()) == (( (( (other.index_set.upper()) - (other.index_set.lower()))) + (1))))));
axiom ( (other.index_set.index_set()) == (other.index_set.Current));
axiom ( (other.index_set.upper_defined()) && (other.index_set.lower_defined()));
axiom ( (other.index_set.minimal_increase()) >= (1));
axiom ( (other.index_set.count()) <= (other.index_set.capacity()));
axiom ( (other.index_set.full()) == (( (other.index_set.count()) == (other.index_set.capacity()))));
axiom ( (other.index_set.is_empty()) == (( (other.index_set.count()) == (0))));
axiom ( (other.index_set.count()) >= (0));
axiom (other.index_set.standard_is_equal (other.index_set.Current));
axiom (other.index_set.conforms_to (other.index_set.Current));
axiom ( (other.index_set.index_set()) != (Void));
axiom ( (other.index_set.resizable()) == (true));
axiom ( (other.index_set.all_cleared()) == (( (( (other.index_set.lower()) == (0))) && (( (other.index_set.upper()) == (0))))));
axiom ( (other.index_set.prunable()) == (false));
axiom ( (other.index_set.empty()) == (other.index_set.is_empty()));
axiom ( (other.index_set.extendible()) == (true));
axiom ( (other.index_set.changeable_comparison_criterion()) == (other.index_set.is_empty()));
const other: ref;
var other_item: ref;
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( (islast()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert (!  (( (( (islast()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( (prunable()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert (!  (( (( (prunable()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_5();
implementation proc.ANY.afx_formula_5() {
	assert ( (( (other.isfirst()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_6();
implementation proc.ANY.afx_formula_6() {
	assert (!  (( (( (other.isfirst()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_7();
implementation proc.ANY.afx_formula_7() {
	assert ( (( (before()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_8();
implementation proc.ANY.afx_formula_8() {
	assert (!  (( (( (before()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_9();
implementation proc.ANY.afx_formula_9() {
	assert ( (( (other.prunable()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_10();
implementation proc.ANY.afx_formula_10() {
	assert (!  (( (( (other.prunable()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_11();
implementation proc.ANY.afx_formula_11() {
	assert ( (( (min_max_available()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_12();
implementation proc.ANY.afx_formula_12() {
	assert (!  (( (( (min_max_available()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_13();
implementation proc.ANY.afx_formula_13() {
	assert ( (( (full()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_14();
implementation proc.ANY.afx_formula_14() {
	assert (!  (( (( (full()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_15();
implementation proc.ANY.afx_formula_15() {
	assert ( (( (other.islast()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_16();
implementation proc.ANY.afx_formula_16() {
	assert (!  (( (( (other.islast()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_17();
implementation proc.ANY.afx_formula_17() {
	assert ( (( (writable()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_18();
implementation proc.ANY.afx_formula_18() {
	assert (!  (( (( (writable()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_19();
implementation proc.ANY.afx_formula_19() {
	assert ( (( (other.changeable_comparison_criterion()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_20();
implementation proc.ANY.afx_formula_20() {
	assert (!  (( (( (other.changeable_comparison_criterion()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_21();
implementation proc.ANY.afx_formula_21() {
	assert ( (( (readable()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_22();
implementation proc.ANY.afx_formula_22() {
	assert (!  (( (( (readable()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_23();
implementation proc.ANY.afx_formula_23() {
	assert ( (( (other.full()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_24();
implementation proc.ANY.afx_formula_24() {
	assert (!  (( (( (other.full()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_25();
implementation proc.ANY.afx_formula_25() {
	assert ( (( (other.before()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_26();
implementation proc.ANY.afx_formula_26() {
	assert (!  (( (( (other.before()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_27();
implementation proc.ANY.afx_formula_27() {
	assert ( (( (other.min_max_available()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_28();
implementation proc.ANY.afx_formula_28() {
	assert (!  (( (( (other.min_max_available()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_29();
implementation proc.ANY.afx_formula_29() {
	assert ( (( (other.readable()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_30();
implementation proc.ANY.afx_formula_30() {
	assert (!  (( (( (other.readable()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_31();
implementation proc.ANY.afx_formula_31() {
	assert ( (( (other.after()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_32();
implementation proc.ANY.afx_formula_32() {
	assert (!  (( (( (other.after()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_33();
implementation proc.ANY.afx_formula_33() {
	assert ( (( (other.off()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_34();
implementation proc.ANY.afx_formula_34() {
	assert (!  (( (( (other.off()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_35();
implementation proc.ANY.afx_formula_35() {
	assert ( (( (other.writable()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_36();
implementation proc.ANY.afx_formula_36() {
	assert (!  (( (( (other.writable()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_37();
implementation proc.ANY.afx_formula_37() {
	assert ( (( (after()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_38();
implementation proc.ANY.afx_formula_38() {
	assert (!  (( (( (after()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_39();
implementation proc.ANY.afx_formula_39() {
	assert ( (( (sorted()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_40();
implementation proc.ANY.afx_formula_40() {
	assert (!  (( (( (sorted()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_41();
implementation proc.ANY.afx_formula_41() {
	assert ( (( (exhausted()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_42();
implementation proc.ANY.afx_formula_42() {
	assert (!  (( (( (exhausted()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_43();
implementation proc.ANY.afx_formula_43() {
	assert ( (( (extendible()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_44();
implementation proc.ANY.afx_formula_44() {
	assert (!  (( (( (extendible()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_45();
implementation proc.ANY.afx_formula_45() {
	assert ( (( (other.is_empty()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_46();
implementation proc.ANY.afx_formula_46() {
	assert (!  (( (( (other.is_empty()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_47();
implementation proc.ANY.afx_formula_47() {
	assert ( (( (other.exhausted()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_48();
implementation proc.ANY.afx_formula_48() {
	assert (!  (( (( (other.exhausted()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_49();
implementation proc.ANY.afx_formula_49() {
	assert ( (( (is_empty()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_50();
implementation proc.ANY.afx_formula_50() {
	assert (!  (( (( (is_empty()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_51();
implementation proc.ANY.afx_formula_51() {
	assert ( (( (changeable_comparison_criterion()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_52();
implementation proc.ANY.afx_formula_52() {
	assert (!  (( (( (changeable_comparison_criterion()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_53();
implementation proc.ANY.afx_formula_53() {
	assert ( (( (other.sorted()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_54();
implementation proc.ANY.afx_formula_54() {
	assert (!  (( (( (other.sorted()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_55();
implementation proc.ANY.afx_formula_55() {
	assert ( (( (isfirst()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_56();
implementation proc.ANY.afx_formula_56() {
	assert (!  (( (( (isfirst()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_57();
implementation proc.ANY.afx_formula_57() {
	assert ( (( (off()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_58();
implementation proc.ANY.afx_formula_58() {
	assert (!  (( (( (off()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_59();
implementation proc.ANY.afx_formula_59() {
	assert ( (( (other.object_comparison()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_60();
implementation proc.ANY.afx_formula_60() {
	assert (!  (( (( (other.object_comparison()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_61();
implementation proc.ANY.afx_formula_61() {
	assert ( (( (object_comparison()) == (false))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_62();
implementation proc.ANY.afx_formula_62() {
	assert (!  (( (( (object_comparison()) == (false))) ==> ((!  ((!  (other.after()))))))));
}

procedure proc.ANY.afx_formula_63();
implementation proc.ANY.afx_formula_63() {
	assert ( (( (other.extendible()) == (true))) ==> ((!  ((!  (other.after()))))));
}

procedure proc.ANY.afx_formula_64();
implementation proc.ANY.afx_formula_64() {
	assert (!  (( (( (other.extendible()) == (true))) ==> ((!  ((!  (other.after()))))))));
}

