class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (22)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "12646896031476358")
			test_cases.extend (agent execute_test_case_3, "1264694949537039")
			test_cases.extend (agent execute_test_case_4, "1264688524607160")
			test_cases.extend (agent execute_test_case_5, "1264694883521442")
			test_cases.extend (agent execute_test_case_6, "1264694927531418")
			test_cases.extend (agent execute_test_case_7, "1264694935533540")
			test_cases.extend (agent execute_test_case_8, "1264691981894004")
			test_cases.extend (agent execute_test_case_9, "12646895961473922")
			test_cases.extend (agent execute_test_case_10, "1264695805887854")
			test_cases.extend (agent execute_test_case_11, "1264694902525170")
			test_cases.extend (agent execute_test_case_12, "1264695798885857")
			test_cases.extend (agent execute_test_case_13, "1264691992897094")
			test_cases.extend (agent execute_test_case_14, "1264688499598459")
			test_cases.extend (agent execute_test_case_15, "12646924041106933")
			test_cases.extend (agent execute_test_case_16, "12646923631095479")
			test_cases.extend (agent execute_test_case_17, "1264691969890233")
			test_cases.extend (agent execute_test_case_18, "12646895751467447")
			test_cases.extend (agent execute_test_case_19, "1264691976892315")
			test_cases.extend (agent execute_test_case_20, "1264695801886837")
			test_cases.extend (agent execute_test_case_21, "1264694885521810")
			test_cases.extend (agent execute_test_case_22, "1264691983894549")
			test_cases.extend (agent execute_test_case_23, "1264694887522287")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {ARRAYED_CIRCULAR [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "12646896031476358"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__12646896031476358
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 1, True, "12646896031476358", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__12646896031476358
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 2, False, "12646896031476358", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264694949537039
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 3, False, "1264694949537039", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264688524607160
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 4, False, "1264688524607160", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264694883521442
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 5, False, "1264694883521442", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264694927531418
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 6, False, "1264694927531418", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264694935533540
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 7, False, "1264694935533540", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ACTIVE_LIST__append__F__c6__b8__REC_ARRAYED_CIRCULAR__start__TAG_valid_starter__1264691981894004
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", False, 8, False, "1264691981894004", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__12646895961473922
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 9, False, "12646895961473922", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264695805887854
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 10, False, "1264695805887854", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264694902525170
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 11, False, "1264694902525170", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264695798885857
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 12, False, "1264695798885857", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264691992897094
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 13, False, "1264691992897094", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264688499598459
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 14, False, "1264688499598459", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__12646924041106933
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 15, False, "12646924041106933", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__12646923631095479
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 16, False, "12646923631095479", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264691969890233
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 17, False, "1264691969890233", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__12646895751467447
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 18, False, "12646895751467447", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264691976892315
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 19, False, "1264691976892315", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264695801886837
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 20, False, "1264695801886837", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264694885521810
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 21, False, "1264694885521810", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264691983894549
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 22, False, "1264691983894549", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__ACTIVE_LIST__append__S__c0__b0__REC_ACTIVE_LIST__append__TAG_noname__1264694887522287
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("ARRAYED_CIRCULAR", "start", 6, 8, "valid_starter", True, 23, False, "1264694887522287", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
