type ref;
const Void: ref;
function item() returns (ref);
function at(i: int) returns (ref);
function area() returns (ref);
function lower() returns (int);
function clone(other: ref) returns (ref);
function to_c() returns (ref);
function after() returns (bool);
function changeable_comparison_criterion() returns (bool);
function exhausted() returns (bool);
function full() returns (bool);
function index() returns (int);
function is_empty() returns (bool);
function cursor() returns (ref);
function index_set() returns (ref);
function object_comparison() returns (bool);
function off() returns (bool);
function prunable() returns (bool);
function readable() returns (bool);
function all_cleared() returns (bool);
function count() returns (int);
function upper() returns (int);
function all_default() returns (bool);
function index_of(v: ref, i: int) returns (int);
function same_items(other: ref) returns (bool);
function is_equal(other: ref) returns (bool);
function standard_is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function empty() returns (bool);
function entry(i: int) returns (ref);
function extendible() returns (bool);
function generator() returns (ref);
function generating_type() returns (ref);
function there_exists(test: ref) returns (bool);
function to_special() returns (ref);
function mismatch_information() returns (ref);
function before() returns (bool);
function in_operation() returns (bool);
function empty_area() returns (bool);
function writable() returns (bool);
function valid_index_set() returns (bool);
function standard_clone(other: ref) returns (ref);
function equal(some: ref, other: ref) returns (bool);
function additional_space() returns (int);
function item_for_iteration() returns (ref);
function standard_twin() returns (ref);
function isfirst() returns (bool);
function occurrences(v: ref) returns (int);
function islast() returns (bool);
function valid_cursor(p: ref) returns (bool);
function sequential_has(v: ref) returns (bool);
function to_cil() returns (ref);
function sequential_occurrences(v: ref) returns (int);
function new_filled_list(n: int) returns (ref);
function subarray(start_pos: int, end_pos: int) returns (ref);
function conforms_to(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function io() returns (ref);
function operating_environment() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function tagged_out() returns (ref);
function twin() returns (ref);
function default() returns (ref);
function growth_percentage() returns (int);
function minimal_increase() returns (int);
function array_item(i: int) returns (ref);
function array_infix_at(i: int) returns (ref);
function array_count() returns (int);
function array_index_set() returns (ref);
function has(v: ref) returns (bool);
function is_inserted(v: ref) returns (bool);
function to_array() returns (ref);
function sequential_index_of(v: ref, i: int) returns (int);
function first() returns (ref);
function last() returns (ref);
function is_deep_equal(other: ref) returns (bool);
function capacity() returns (int);
function resizable() returns (bool);
function valid_cursor_index(i: int) returns (bool);
function as_attached() returns (ref);
function duplicate(n: int) returns (ref);
function filled_with(v: ref) returns (bool);
function valid_index(i: int) returns (bool);
function new_chain() returns (ref);
function for_all(test: ref) returns (bool);
function i_th(i: int) returns (ref);
function linear_representation() returns (ref);
function add_actions() returns (ref);
function remove_actions() returns (ref);
const Current: ref;
axiom ( (add_actions()) != (Void));
axiom ( (remove_actions()) != (Void));
axiom (prunable());
axiom ( (lower()) == (1));
axiom ( (is_empty()) ==> (all_default()));
axiom ( (area()) != (Void));
axiom ( (capacity()) == (( (( (upper()) - (lower()))) + (1))));
axiom ( (count()) >= (0));
axiom (valid_index_set());
axiom ( (minimal_increase()) >= (1));
axiom ( (count()) <= (capacity()));
axiom ( (full()) == (( (count()) == (capacity()))));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (index_set()) != (Void));
axiom ( (before()) == (( (index()) == (0))));
axiom ( (after()) == (( (index()) == (( (count()) + (1))))));
axiom ( (index()) >= (0));
axiom ( (index()) <= (( (count()) + (1))));
axiom ( (off()) == (( (( (index()) == (0))) || (( (index()) == (( (count()) + (1))))))));
axiom ( (isfirst()) == (( ((!  (is_empty()))) && (( (index()) == (1))))));
axiom ( (islast()) == (( ((!  (is_empty()))) && (( (index()) == (count()))))));
axiom ( ((!  (off()))) ==> (( (item()) == (i_th (index())))));
axiom ( (index_set.count()) == (count()));
axiom ( (writable()) ==> (readable()));
axiom ( (is_empty()) ==> (( ((!  (readable()))) && ((!  (writable()))))));
axiom (!  (( (after()) && (before()))));
axiom ( (before()) ==> (off()));
axiom ( (after()) ==> (off()));
axiom ( (is_empty()) ==> (off()));
axiom (extendible());
axiom ( (changeable_comparison_criterion()) == (true));
axiom ( (exhausted()) == (off()));
axiom ( (off()) ==> (exhausted()));
axiom ( (prunable()) == (true));
axiom ( (readable()) == ((!  (off()))));
axiom ( (all_cleared()) == (all_default()));
axiom ( (empty()) == (is_empty()));
axiom ( (writable()) == ((!  (off()))));
axiom ( (isfirst()) ==> ((!  (is_empty()))));
axiom ( (islast()) ==> ((!  (is_empty()))));
axiom ( (resizable()) == (true));
function index_set.item(i: int) returns (int);
function index_set.at(i: int) returns (int);
function index_set.lower() returns (int);
function index_set.clone(other: ref) returns (ref);
function index_set.to_c() returns (ref);
function index_set.has(v: int) returns (bool);
function index_set.lower_defined() returns (bool);
function index_set.upper_defined() returns (bool);
function index_set.is_deep_equal(other: ref) returns (bool);
function index_set.all_cleared() returns (bool);
function index_set.count() returns (int);
function index_set.upper() returns (int);
function index_set.is_equal(other: ref) returns (bool);
function index_set.standard_is_equal(other: ref) returns (bool);
function index_set.as_attached() returns (ref);
function index_set.deep_twin() returns (ref);
function index_set.valid_index(v: int) returns (bool);
function index_set.hold_count(condition: ref) returns (int);
function index_set.generator() returns (ref);
function index_set.generating_type() returns (ref);
function index_set.exists(condition: ref) returns (bool);
function index_set.default() returns (ref);
function index_set.lower_internal() returns (int);
function index_set.upper_internal() returns (int);
function index_set.is_inserted(v: int) returns (bool);
function index_set.as_array() returns (ref);
function index_set.standard_clone(other: ref) returns (ref);
function index_set.occurrences(v: int) returns (int);
function index_set.index_set() returns (ref);
function index_set.minimal_increase() returns (int);
function index_set.exists1(condition: ref) returns (bool);
function index_set.standard_twin() returns (ref);
function index_set.deep_equal(some: ref, other: ref) returns (bool);
function index_set.out() returns (ref);
function index_set.for_all(condition: ref) returns (bool);
function index_set.linear_representation() returns (ref);
function index_set.capacity() returns (int);
function index_set.equal(some: ref, other: ref) returns (bool);
function index_set.resizable() returns (bool);
function index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
function index_set.growth_percentage() returns (int);
function index_set.conforms_to(other: ref) returns (bool);
function index_set.deep_clone(other: ref) returns (ref);
function index_set.default_pointer() returns (ref);
function index_set.io() returns (ref);
function index_set.operating_environment() returns (ref);
function index_set.same_type(other: ref) returns (bool);
function index_set.standard_equal(some: ref, other: ref) returns (bool);
function index_set.tagged_out() returns (ref);
function index_set.twin() returns (ref);
function index_set.changeable_comparison_criterion() returns (bool);
function index_set.empty() returns (bool);
function index_set.extendible() returns (bool);
function index_set.full() returns (bool);
function index_set.is_empty() returns (bool);
function index_set.object_comparison() returns (bool);
function index_set.prunable() returns (bool);
function index_set.additional_space() returns (int);
const index_set.Current: ref;
axiom ( (( (index_set.upper_defined()) && (index_set.lower_defined()))) ==> (( (index_set.count()) == (( (( (index_set.upper()) - (index_set.lower()))) + (1))))));
axiom ( (index_set.index_set()) == (index_set.Current));
axiom ( (index_set.upper_defined()) && (index_set.lower_defined()));
axiom ( (index_set.minimal_increase()) >= (1));
axiom ( (index_set.count()) <= (index_set.capacity()));
axiom ( (index_set.full()) == (( (index_set.count()) == (index_set.capacity()))));
axiom ( (index_set.is_empty()) == (( (index_set.count()) == (0))));
axiom ( (index_set.count()) >= (0));
axiom (index_set.standard_is_equal (index_set.Current));
axiom (index_set.conforms_to (index_set.Current));
axiom ( (index_set.index_set()) != (Void));
axiom ( (index_set.all_cleared()) == (( (( (index_set.lower()) == (0))) && (( (index_set.upper()) == (0))))));
axiom ( (index_set.resizable()) == (true));
axiom ( (index_set.changeable_comparison_criterion()) == (index_set.is_empty()));
axiom ( (index_set.empty()) == (index_set.is_empty()));
axiom ( (index_set.extendible()) == (true));
axiom ( (index_set.prunable()) == (false));
const v: ref;
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( (readable()) == (false))) ==> (( (( (( (exhausted()) == (true))) && (( (writable()) == (false))))) && (( (off()) == (true))))));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert ( (( (exhausted()) == (true))) ==> (( (( (( (readable()) == (false))) && (( (writable()) == (false))))) && (( (off()) == (true))))));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( (writable()) == (false))) ==> (( (( (( (readable()) == (false))) && (( (exhausted()) == (true))))) && (( (off()) == (true))))));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert ( (( (off()) == (true))) ==> (( (( (( (readable()) == (false))) && (( (exhausted()) == (true))))) && (( (writable()) == (false))))));
}

