class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (14)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264690837188682")
			test_cases.extend (agent execute_test_case_3, "12646896091479648")
			test_cases.extend (agent execute_test_case_4, "1264688574650338")
			test_cases.extend (agent execute_test_case_5, "12646967821277778")
			test_cases.extend (agent execute_test_case_6, "126469388688604")
			test_cases.extend (agent execute_test_case_7, "126469388588261")
			test_cases.extend (agent execute_test_case_8, "12646967601263787")
			test_cases.extend (agent execute_test_case_9, "1264690852199924")
			test_cases.extend (agent execute_test_case_10, "1264688570646929")
			test_cases.extend (agent execute_test_case_11, "1264690840190065")
			test_cases.extend (agent execute_test_case_12, "1264693913100458")
			test_cases.extend (agent execute_test_case_13, "1264690849197058")
			test_cases.extend (agent execute_test_case_14, "12646967671267577")
			test_cases.extend (agent execute_test_case_15, "126469389489424")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {CIRCULAR [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {INTEGER_32} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (1)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent (l_value: INTEGER_32): INTEGER_32 do Result := l_value end (l_operand_1), "item")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264690837188682"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__F__c6__b13__REC_CIRCULAR__move__TAG_off_definition__1264690837188682
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", False, 1, True, "1264690837188682", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__F__c6__b13__REC_CIRCULAR__move__TAG_off_definition__1264690837188682
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", False, 2, False, "1264690837188682", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__F__c6__b13__REC_CIRCULAR__move__TAG_off_definition__12646896091479648
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", False, 3, False, "12646896091479648", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264688574650338
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 4, False, "1264688574650338", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__12646967821277778
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 5, False, "12646967821277778", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__126469388688604
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 6, False, "126469388688604", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__126469388588261
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 7, False, "126469388588261", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__12646967601263787
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 8, False, "12646967601263787", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264690852199924
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 9, False, "1264690852199924", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264688570646929
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 10, False, "1264688570646929", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264690840190065
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 11, False, "1264690840190065", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264693913100458
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 12, False, "1264693913100458", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__1264690849197058
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 13, False, "1264690849197058", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__12646967671267577
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 14, False, "12646967671267577", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_CIRCULAR__move__S__c0__b0__REC_ARRAYED_CIRCULAR__move__TAG_noname__126469389489424
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("CIRCULAR", "move", 6, 13, "off_definition", True, 15, False, "126469389489424", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
