class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (16)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "12646967781274964")
			test_cases.extend (agent execute_test_case_3, "1264691255472049")
			test_cases.extend (agent execute_test_case_4, "1264691250467974")
			test_cases.extend (agent execute_test_case_5, "12646896261495359")
			test_cases.extend (agent execute_test_case_6, "1264691250468298")
			test_cases.extend (agent execute_test_case_7, "126469390897828")
			test_cases.extend (agent execute_test_case_8, "126469390796811")
			test_cases.extend (agent execute_test_case_9, "1264688572648461")
			test_cases.extend (agent execute_test_case_10, "12646896201489712")
			test_cases.extend (agent execute_test_case_11, "12646967771274326")
			test_cases.extend (agent execute_test_case_12, "1264691263478733")
			test_cases.extend (agent execute_test_case_13, "126469390897108")
			test_cases.extend (agent execute_test_case_14, "1264688568644462")
			test_cases.extend (agent execute_test_case_15, "12646896161486642")
			test_cases.extend (agent execute_test_case_16, "1264691251469226")
			test_cases.extend (agent execute_test_case_17, "12646967621264747")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {DYNAMIC_CHAIN [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (17)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.exhausted, "exhausted")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.isfirst, "isfirst")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "12646967781274964"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__F__c6__b8__REC_DYNAMIC_CHAIN__prune_all__TAG_isfirst_definition__12646967781274964
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", False, 1, True, "12646967781274964", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__F__c6__b8__REC_DYNAMIC_CHAIN__prune_all__TAG_isfirst_definition__12646967781274964
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", False, 2, False, "12646967781274964", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__F__c6__b8__REC_DYNAMIC_CHAIN__prune_all__TAG_isfirst_definition__1264691255472049
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", False, 3, False, "1264691255472049", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__F__c6__b8__REC_DYNAMIC_CHAIN__prune_all__TAG_isfirst_definition__1264691250467974
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", False, 4, False, "1264691250467974", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__12646896261495359
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 5, False, "12646896261495359", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__1264691250468298
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 6, False, "1264691250468298", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__126469390897828
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 7, False, "126469390897828", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__126469390796811
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 8, False, "126469390796811", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__1264688572648461
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 9, False, "1264688572648461", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__12646896201489712
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 10, False, "12646896201489712", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__12646967771274326
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 11, False, "12646967771274326", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__1264691263478733
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 12, False, "1264691263478733", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__126469390897108
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 13, False, "126469390897108", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__1264688568644462
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 14, False, "1264688568644462", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__12646896161486642
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 15, False, "12646896161486642", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__1264691251469226
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 16, False, "1264691251469226", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAYED_CIRCULAR__prune_all__S__c0__b0__REC_ARRAYED_CIRCULAR__prune_all__TAG_noname__12646967621264747
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DYNAMIC_CHAIN", "prune_all", 6, 8, "isfirst_definition", True, 17, False, "12646967621264747", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
