type ref;
const Void: ref;
function isfirst() returns (bool);
function item() returns (ref);
function off() returns (bool);
function islast() returns (bool);
function at(i: int) returns (ref);
function object_comparison() returns (bool);
function clone(other: ref) returns (ref);
function writable() returns (bool);
function readable() returns (bool);
function prunable() returns (bool);
function count() returns (int);
function index_of(v: ref, i: int) returns (int);
function standard_index() returns (int);
function is_equal(other: ref) returns (bool);
function standard_is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function generator() returns (ref);
function generating_type() returns (ref);
function default() returns (ref);
function first() returns (ref);
function l_after() returns (bool);
function l_before() returns (bool);
function l_first() returns (ref);
function l_off() returns (bool);
function equal(some: ref, other: ref) returns (bool);
function valid_cursor_index(i: int) returns (bool);
function list() returns (ref);
function standard_twin() returns (ref);
function starter() returns (int);
function standard_islast() returns (bool);
function i_th(i: int) returns (ref);
function standard_off() returns (bool);
function sequential_has(v: ref) returns (bool);
function conforms_to(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function item_for_iteration() returns (ref);
function io() returns (ref);
function operating_environment() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function tagged_out() returns (ref);
function twin() returns (ref);
function valid_index(i: int) returns (bool);
function standard_clone(other: ref) returns (ref);
function last() returns (ref);
function sequential_occurrences(v: ref) returns (int);
function is_deep_equal(other: ref) returns (bool);
function cursor() returns (ref);
function internal_exhausted() returns (bool);
function has(v: ref) returns (bool);
function sequential_index_of(v: ref, i: int) returns (int);
function occurrences(v: ref) returns (int);
function index_set() returns (ref);
function as_attached() returns (ref);
function valid_cursor(p: ref) returns (bool);
function duplicate(n: int) returns (ref);
function standard_isfirst() returns (bool);
function there_exists(test: ref) returns (bool);
function for_all(test: ref) returns (bool);
function is_inserted(v: ref) returns (bool);
function new_chain() returns (ref);
function standard_after() returns (bool);
function standard_before() returns (bool);
function exhausted() returns (bool);
function linear_representation() returns (ref);
function after() returns (bool);
function before() returns (bool);
function changeable_comparison_criterion() returns (bool);
function empty() returns (bool);
function extendible() returns (bool);
function full() returns (bool);
function index() returns (int);
function is_empty() returns (bool);
const Current: ref;
axiom ( (count()) >= (0));
axiom ( (( (starter()) >= (0))) && (( (starter()) <= (count()))));
axiom ( (before()) ==> (is_empty()));
axiom ( (after()) ==> (is_empty()));
axiom ( (off()) ==> (is_empty()));
axiom ( (index()) >= (0));
axiom ( (index()) <= (( (count()) + (1))));
axiom ( (off()) == (( (( (index()) == (0))) || (( (index()) == (( (count()) + (1))))))));
axiom ( (isfirst()) == (( ((!  (is_empty()))) && (( (index()) == (1))))));
axiom ( (islast()) == (( ((!  (is_empty()))) && (( (index()) == (count()))))));
axiom ( ((!  (off()))) ==> (( (item()) == (i_th (index())))));
axiom ( (index_set.count()) == (count()));
axiom ( (writable()) ==> (readable()));
axiom ( (is_empty()) ==> (( ((!  (readable()))) && ((!  (writable()))))));
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (index_set()) != (Void));
axiom (!  (( (after()) && (before()))));
axiom ( (before()) ==> (off()));
axiom ( (after()) ==> (off()));
axiom ( (is_empty()) ==> (off()));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom (extendible());
axiom ( (before()) == (( (index()) == (0))));
axiom ( (after()) == (( (index()) == (( (count()) + (1))))));
axiom ( (isfirst()) ==> ((!  (is_empty()))));
axiom ( (off()) == (is_empty()));
axiom ( (islast()) ==> ((!  (is_empty()))));
axiom ( (prunable()) == (true));
axiom ( (exhausted()) == (( (is_empty()) || (internal_exhausted()))));
axiom ( (off()) ==> (exhausted()));
axiom ( (after()) == (( (is_empty()) && (standard_after()))));
axiom ( (before()) == (( (is_empty()) && (standard_before()))));
axiom ( (changeable_comparison_criterion()) == (true));
axiom ( (empty()) == (is_empty()));
function index_set.all_cleared() returns (bool);
function index_set.item(i: int) returns (int);
function index_set.lower() returns (int);
function index_set.clone(other: ref) returns (ref);
function index_set.at(i: int) returns (int);
function index_set.to_c() returns (ref);
function index_set.equal(some: ref, other: ref) returns (bool);
function index_set.lower_defined() returns (bool);
function index_set.lower_internal() returns (int);
function index_set.is_deep_equal(other: ref) returns (bool);
function index_set.count() returns (int);
function index_set.upper() returns (int);
function index_set.is_inserted(v: int) returns (bool);
function index_set.is_equal(other: ref) returns (bool);
function index_set.standard_is_equal(other: ref) returns (bool);
function index_set.as_attached() returns (ref);
function index_set.deep_twin() returns (ref);
function index_set.for_all(condition: ref) returns (bool);
function index_set.additional_space() returns (int);
function index_set.generator() returns (ref);
function index_set.generating_type() returns (ref);
function index_set.default() returns (ref);
function index_set.as_array() returns (ref);
function index_set.upper_defined() returns (bool);
function index_set.standard_clone(other: ref) returns (ref);
function index_set.valid_index(v: int) returns (bool);
function index_set.standard_equal(some: ref, other: ref) returns (bool);
function index_set.standard_twin() returns (ref);
function index_set.deep_equal(some: ref, other: ref) returns (bool);
function index_set.exists(condition: ref) returns (bool);
function index_set.linear_representation() returns (ref);
function index_set.out() returns (ref);
function index_set.empty() returns (bool);
function index_set.capacity() returns (int);
function index_set.extendible() returns (bool);
function index_set.full() returns (bool);
function index_set.is_empty() returns (bool);
function index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
function index_set.object_comparison() returns (bool);
function index_set.prunable() returns (bool);
function index_set.hold_count(condition: ref) returns (int);
function index_set.exists1(condition: ref) returns (bool);
function index_set.conforms_to(other: ref) returns (bool);
function index_set.deep_clone(other: ref) returns (ref);
function index_set.default_pointer() returns (ref);
function index_set.resizable() returns (bool);
function index_set.io() returns (ref);
function index_set.operating_environment() returns (ref);
function index_set.growth_percentage() returns (int);
function index_set.same_type(other: ref) returns (bool);
function index_set.minimal_increase() returns (int);
function index_set.tagged_out() returns (ref);
function index_set.twin() returns (ref);
function index_set.upper_internal() returns (int);
function index_set.changeable_comparison_criterion() returns (bool);
function index_set.has(v: int) returns (bool);
function index_set.occurrences(v: int) returns (int);
function index_set.index_set() returns (ref);
const index_set.Current: ref;
axiom ( (( (index_set.upper_defined()) && (index_set.lower_defined()))) ==> (( (index_set.count()) == (( (( (index_set.upper()) - (index_set.lower()))) + (1))))));
axiom ( (index_set.index_set()) == (index_set.Current));
axiom ( (index_set.upper_defined()) && (index_set.lower_defined()));
axiom ( (index_set.minimal_increase()) >= (1));
axiom ( (index_set.count()) <= (index_set.capacity()));
axiom ( (index_set.full()) == (( (index_set.count()) == (index_set.capacity()))));
axiom ( (index_set.is_empty()) == (( (index_set.count()) == (0))));
axiom ( (index_set.count()) >= (0));
axiom (index_set.standard_is_equal (index_set.Current));
axiom (index_set.conforms_to (index_set.Current));
axiom ( (index_set.index_set()) != (Void));
axiom ( (index_set.all_cleared()) == (( (( (index_set.lower()) == (0))) && (( (index_set.upper()) == (0))))));
axiom ( (index_set.empty()) == (index_set.is_empty()));
axiom ( (index_set.extendible()) == (true));
axiom ( (index_set.prunable()) == (false));
axiom ( (index_set.resizable()) == (true));
axiom ( (index_set.changeable_comparison_criterion()) == (index_set.is_empty()));
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (standard_after()));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (standard_before()));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_5();
implementation proc.ANY.afx_formula_5() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (after()));
}

procedure proc.ANY.afx_formula_6();
implementation proc.ANY.afx_formula_6() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (before()));
}

procedure proc.ANY.afx_formula_7();
implementation proc.ANY.afx_formula_7() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_8();
implementation proc.ANY.afx_formula_8() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_9();
implementation proc.ANY.afx_formula_9() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (full()));
}

procedure proc.ANY.afx_formula_10();
implementation proc.ANY.afx_formula_10() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (isfirst()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_11();
implementation proc.ANY.afx_formula_11() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (isfirst()));
}

procedure proc.ANY.afx_formula_12();
implementation proc.ANY.afx_formula_12() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (off()));
}

procedure proc.ANY.afx_formula_13();
implementation proc.ANY.afx_formula_13() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (islast()));
}

procedure proc.ANY.afx_formula_14();
implementation proc.ANY.afx_formula_14() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_15();
implementation proc.ANY.afx_formula_15() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (writable()));
}

procedure proc.ANY.afx_formula_16();
implementation proc.ANY.afx_formula_16() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (readable()));
}

procedure proc.ANY.afx_formula_17();
implementation proc.ANY.afx_formula_17() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (prunable()));
}

procedure proc.ANY.afx_formula_18();
implementation proc.ANY.afx_formula_18() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (l_after()));
}

procedure proc.ANY.afx_formula_19();
implementation proc.ANY.afx_formula_19() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (l_before()));
}

procedure proc.ANY.afx_formula_20();
implementation proc.ANY.afx_formula_20() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (l_off()));
}

procedure proc.ANY.afx_formula_21();
implementation proc.ANY.afx_formula_21() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_22();
implementation proc.ANY.afx_formula_22() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (standard_off()));
}

procedure proc.ANY.afx_formula_23();
implementation proc.ANY.afx_formula_23() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_24();
implementation proc.ANY.afx_formula_24() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_25();
implementation proc.ANY.afx_formula_25() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (standard_after()));
}

procedure proc.ANY.afx_formula_26();
implementation proc.ANY.afx_formula_26() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (standard_before()));
}

procedure proc.ANY.afx_formula_27();
implementation proc.ANY.afx_formula_27() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (exhausted()));
}

procedure proc.ANY.afx_formula_28();
implementation proc.ANY.afx_formula_28() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (after()));
}

procedure proc.ANY.afx_formula_29();
implementation proc.ANY.afx_formula_29() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (before()));
}

procedure proc.ANY.afx_formula_30();
implementation proc.ANY.afx_formula_30() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_31();
implementation proc.ANY.afx_formula_31() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (extendible()));
}

procedure proc.ANY.afx_formula_32();
implementation proc.ANY.afx_formula_32() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (full()));
}

procedure proc.ANY.afx_formula_33();
implementation proc.ANY.afx_formula_33() {
	assert ( (( ((!  (is_empty()))) ==> (islast()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_34();
implementation proc.ANY.afx_formula_34() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_35();
implementation proc.ANY.afx_formula_35() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (off()));
}

procedure proc.ANY.afx_formula_36();
implementation proc.ANY.afx_formula_36() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (islast()));
}

procedure proc.ANY.afx_formula_37();
implementation proc.ANY.afx_formula_37() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_38();
implementation proc.ANY.afx_formula_38() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (writable()));
}

procedure proc.ANY.afx_formula_39();
implementation proc.ANY.afx_formula_39() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (readable()));
}

procedure proc.ANY.afx_formula_40();
implementation proc.ANY.afx_formula_40() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_41();
implementation proc.ANY.afx_formula_41() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (l_after()));
}

procedure proc.ANY.afx_formula_42();
implementation proc.ANY.afx_formula_42() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (l_before()));
}

procedure proc.ANY.afx_formula_43();
implementation proc.ANY.afx_formula_43() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (l_off()));
}

procedure proc.ANY.afx_formula_44();
implementation proc.ANY.afx_formula_44() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_45();
implementation proc.ANY.afx_formula_45() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (standard_off()));
}

procedure proc.ANY.afx_formula_46();
implementation proc.ANY.afx_formula_46() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_47();
implementation proc.ANY.afx_formula_47() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_48();
implementation proc.ANY.afx_formula_48() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (standard_after()));
}

procedure proc.ANY.afx_formula_49();
implementation proc.ANY.afx_formula_49() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (standard_before()));
}

procedure proc.ANY.afx_formula_50();
implementation proc.ANY.afx_formula_50() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_51();
implementation proc.ANY.afx_formula_51() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (after()));
}

procedure proc.ANY.afx_formula_52();
implementation proc.ANY.afx_formula_52() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (before()));
}

procedure proc.ANY.afx_formula_53();
implementation proc.ANY.afx_formula_53() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_54();
implementation proc.ANY.afx_formula_54() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_55();
implementation proc.ANY.afx_formula_55() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (full()));
}

procedure proc.ANY.afx_formula_56();
implementation proc.ANY.afx_formula_56() {
	assert ( (( ((!  (is_empty()))) ==> ((!  (islast()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_57();
implementation proc.ANY.afx_formula_57() {
	assert ( (( (off()) ==> (after()))) == (isfirst()));
}

procedure proc.ANY.afx_formula_58();
implementation proc.ANY.afx_formula_58() {
	assert ( (( (off()) ==> (after()))) == (off()));
}

procedure proc.ANY.afx_formula_59();
implementation proc.ANY.afx_formula_59() {
	assert ( (( (off()) ==> (after()))) == (islast()));
}

procedure proc.ANY.afx_formula_60();
implementation proc.ANY.afx_formula_60() {
	assert ( (( (off()) ==> (after()))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_61();
implementation proc.ANY.afx_formula_61() {
	assert ( (( (off()) ==> (after()))) == (writable()));
}

procedure proc.ANY.afx_formula_62();
implementation proc.ANY.afx_formula_62() {
	assert ( (( (off()) ==> (after()))) == (readable()));
}

procedure proc.ANY.afx_formula_63();
implementation proc.ANY.afx_formula_63() {
	assert ( (( (off()) ==> (after()))) == (prunable()));
}

procedure proc.ANY.afx_formula_64();
implementation proc.ANY.afx_formula_64() {
	assert ( (( (off()) ==> (after()))) == (l_after()));
}

procedure proc.ANY.afx_formula_65();
implementation proc.ANY.afx_formula_65() {
	assert ( (( (off()) ==> (after()))) == (l_before()));
}

procedure proc.ANY.afx_formula_66();
implementation proc.ANY.afx_formula_66() {
	assert ( (( (off()) ==> (after()))) == (l_off()));
}

procedure proc.ANY.afx_formula_67();
implementation proc.ANY.afx_formula_67() {
	assert ( (( (off()) ==> (after()))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_68();
implementation proc.ANY.afx_formula_68() {
	assert ( (( (off()) ==> (after()))) == (standard_off()));
}

procedure proc.ANY.afx_formula_69();
implementation proc.ANY.afx_formula_69() {
	assert ( (( (off()) ==> (after()))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_70();
implementation proc.ANY.afx_formula_70() {
	assert ( (( (off()) ==> (after()))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_71();
implementation proc.ANY.afx_formula_71() {
	assert ( (( (off()) ==> (after()))) == (standard_after()));
}

procedure proc.ANY.afx_formula_72();
implementation proc.ANY.afx_formula_72() {
	assert ( (( (off()) ==> (after()))) == (standard_before()));
}

procedure proc.ANY.afx_formula_73();
implementation proc.ANY.afx_formula_73() {
	assert ( (( (off()) ==> (after()))) == (exhausted()));
}

procedure proc.ANY.afx_formula_74();
implementation proc.ANY.afx_formula_74() {
	assert ( (( (off()) ==> (after()))) == (after()));
}

procedure proc.ANY.afx_formula_75();
implementation proc.ANY.afx_formula_75() {
	assert ( (( (off()) ==> (after()))) == (before()));
}

procedure proc.ANY.afx_formula_76();
implementation proc.ANY.afx_formula_76() {
	assert ( (( (off()) ==> (after()))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_77();
implementation proc.ANY.afx_formula_77() {
	assert ( (( (off()) ==> (after()))) == (extendible()));
}

procedure proc.ANY.afx_formula_78();
implementation proc.ANY.afx_formula_78() {
	assert ( (( (off()) ==> (after()))) == (full()));
}

procedure proc.ANY.afx_formula_79();
implementation proc.ANY.afx_formula_79() {
	assert ( (( (off()) ==> (after()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_80();
implementation proc.ANY.afx_formula_80() {
	assert ( (( (off()) ==> ((!  (after()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_81();
implementation proc.ANY.afx_formula_81() {
	assert ( (( (off()) ==> ((!  (after()))))) == (off()));
}

procedure proc.ANY.afx_formula_82();
implementation proc.ANY.afx_formula_82() {
	assert ( (( (off()) ==> ((!  (after()))))) == (islast()));
}

procedure proc.ANY.afx_formula_83();
implementation proc.ANY.afx_formula_83() {
	assert ( (( (off()) ==> ((!  (after()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_84();
implementation proc.ANY.afx_formula_84() {
	assert ( (( (off()) ==> ((!  (after()))))) == (writable()));
}

procedure proc.ANY.afx_formula_85();
implementation proc.ANY.afx_formula_85() {
	assert ( (( (off()) ==> ((!  (after()))))) == (readable()));
}

procedure proc.ANY.afx_formula_86();
implementation proc.ANY.afx_formula_86() {
	assert ( (( (off()) ==> ((!  (after()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_87();
implementation proc.ANY.afx_formula_87() {
	assert ( (( (off()) ==> ((!  (after()))))) == (l_after()));
}

procedure proc.ANY.afx_formula_88();
implementation proc.ANY.afx_formula_88() {
	assert ( (( (off()) ==> ((!  (after()))))) == (l_before()));
}

procedure proc.ANY.afx_formula_89();
implementation proc.ANY.afx_formula_89() {
	assert ( (( (off()) ==> ((!  (after()))))) == (l_off()));
}

procedure proc.ANY.afx_formula_90();
implementation proc.ANY.afx_formula_90() {
	assert ( (( (off()) ==> ((!  (after()))))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_91();
implementation proc.ANY.afx_formula_91() {
	assert ( (( (off()) ==> ((!  (after()))))) == (standard_off()));
}

procedure proc.ANY.afx_formula_92();
implementation proc.ANY.afx_formula_92() {
	assert ( (( (off()) ==> ((!  (after()))))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_93();
implementation proc.ANY.afx_formula_93() {
	assert ( (( (off()) ==> ((!  (after()))))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_94();
implementation proc.ANY.afx_formula_94() {
	assert ( (( (off()) ==> ((!  (after()))))) == (standard_after()));
}

procedure proc.ANY.afx_formula_95();
implementation proc.ANY.afx_formula_95() {
	assert ( (( (off()) ==> ((!  (after()))))) == (standard_before()));
}

procedure proc.ANY.afx_formula_96();
implementation proc.ANY.afx_formula_96() {
	assert ( (( (off()) ==> ((!  (after()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_97();
implementation proc.ANY.afx_formula_97() {
	assert ( (( (off()) ==> ((!  (after()))))) == (after()));
}

procedure proc.ANY.afx_formula_98();
implementation proc.ANY.afx_formula_98() {
	assert ( (( (off()) ==> ((!  (after()))))) == (before()));
}

procedure proc.ANY.afx_formula_99();
implementation proc.ANY.afx_formula_99() {
	assert ( (( (off()) ==> ((!  (after()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_100();
implementation proc.ANY.afx_formula_100() {
	assert ( (( (off()) ==> ((!  (after()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_101();
implementation proc.ANY.afx_formula_101() {
	assert ( (( (off()) ==> ((!  (after()))))) == (full()));
}

procedure proc.ANY.afx_formula_102();
implementation proc.ANY.afx_formula_102() {
	assert ( (( (off()) ==> ((!  (after()))))) == (is_empty()));
}

procedure proc.ANY.afx_formula_103();
implementation proc.ANY.afx_formula_103() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (isfirst()));
}

procedure proc.ANY.afx_formula_104();
implementation proc.ANY.afx_formula_104() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (off()));
}

procedure proc.ANY.afx_formula_105();
implementation proc.ANY.afx_formula_105() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (islast()));
}

procedure proc.ANY.afx_formula_106();
implementation proc.ANY.afx_formula_106() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_107();
implementation proc.ANY.afx_formula_107() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (writable()));
}

procedure proc.ANY.afx_formula_108();
implementation proc.ANY.afx_formula_108() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (readable()));
}

procedure proc.ANY.afx_formula_109();
implementation proc.ANY.afx_formula_109() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (prunable()));
}

procedure proc.ANY.afx_formula_110();
implementation proc.ANY.afx_formula_110() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (l_after()));
}

procedure proc.ANY.afx_formula_111();
implementation proc.ANY.afx_formula_111() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (l_before()));
}

procedure proc.ANY.afx_formula_112();
implementation proc.ANY.afx_formula_112() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (l_off()));
}

procedure proc.ANY.afx_formula_113();
implementation proc.ANY.afx_formula_113() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_114();
implementation proc.ANY.afx_formula_114() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (standard_off()));
}

procedure proc.ANY.afx_formula_115();
implementation proc.ANY.afx_formula_115() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_116();
implementation proc.ANY.afx_formula_116() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_117();
implementation proc.ANY.afx_formula_117() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (standard_after()));
}

procedure proc.ANY.afx_formula_118();
implementation proc.ANY.afx_formula_118() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (standard_before()));
}

procedure proc.ANY.afx_formula_119();
implementation proc.ANY.afx_formula_119() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (exhausted()));
}

procedure proc.ANY.afx_formula_120();
implementation proc.ANY.afx_formula_120() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (after()));
}

procedure proc.ANY.afx_formula_121();
implementation proc.ANY.afx_formula_121() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (before()));
}

procedure proc.ANY.afx_formula_122();
implementation proc.ANY.afx_formula_122() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_123();
implementation proc.ANY.afx_formula_123() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (extendible()));
}

procedure proc.ANY.afx_formula_124();
implementation proc.ANY.afx_formula_124() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (full()));
}

procedure proc.ANY.afx_formula_125();
implementation proc.ANY.afx_formula_125() {
	assert ( (( ((!  (off()))) ==> (exhausted()))) == (is_empty()));
}

procedure proc.ANY.afx_formula_126();
implementation proc.ANY.afx_formula_126() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (isfirst()));
}

procedure proc.ANY.afx_formula_127();
implementation proc.ANY.afx_formula_127() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (off()));
}

procedure proc.ANY.afx_formula_128();
implementation proc.ANY.afx_formula_128() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (islast()));
}

procedure proc.ANY.afx_formula_129();
implementation proc.ANY.afx_formula_129() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (object_comparison()));
}

procedure proc.ANY.afx_formula_130();
implementation proc.ANY.afx_formula_130() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (writable()));
}

procedure proc.ANY.afx_formula_131();
implementation proc.ANY.afx_formula_131() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (readable()));
}

procedure proc.ANY.afx_formula_132();
implementation proc.ANY.afx_formula_132() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (prunable()));
}

procedure proc.ANY.afx_formula_133();
implementation proc.ANY.afx_formula_133() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (l_after()));
}

procedure proc.ANY.afx_formula_134();
implementation proc.ANY.afx_formula_134() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (l_before()));
}

procedure proc.ANY.afx_formula_135();
implementation proc.ANY.afx_formula_135() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (l_off()));
}

procedure proc.ANY.afx_formula_136();
implementation proc.ANY.afx_formula_136() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (standard_islast()));
}

procedure proc.ANY.afx_formula_137();
implementation proc.ANY.afx_formula_137() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (standard_off()));
}

procedure proc.ANY.afx_formula_138();
implementation proc.ANY.afx_formula_138() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (internal_exhausted()));
}

procedure proc.ANY.afx_formula_139();
implementation proc.ANY.afx_formula_139() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (standard_isfirst()));
}

procedure proc.ANY.afx_formula_140();
implementation proc.ANY.afx_formula_140() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (standard_after()));
}

procedure proc.ANY.afx_formula_141();
implementation proc.ANY.afx_formula_141() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (standard_before()));
}

procedure proc.ANY.afx_formula_142();
implementation proc.ANY.afx_formula_142() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (exhausted()));
}

procedure proc.ANY.afx_formula_143();
implementation proc.ANY.afx_formula_143() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (after()));
}

procedure proc.ANY.afx_formula_144();
implementation proc.ANY.afx_formula_144() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (before()));
}

procedure proc.ANY.afx_formula_145();
implementation proc.ANY.afx_formula_145() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (changeable_comparison_criterion()));
}

procedure proc.ANY.afx_formula_146();
implementation proc.ANY.afx_formula_146() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (extendible()));
}

procedure proc.ANY.afx_formula_147();
implementation proc.ANY.afx_formula_147() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (full()));
}

procedure proc.ANY.afx_formula_148();
implementation proc.ANY.afx_formula_148() {
	assert ( (( ((!  (off()))) ==> ((!  (exhausted()))))) == (is_empty()));
}

