class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (18)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264691636698958")
			test_cases.extend (agent execute_test_case_3, "1264691636699160")
			test_cases.extend (agent execute_test_case_4, "12646973121510078")
			test_cases.extend (agent execute_test_case_5, "12646890121014857")
			test_cases.extend (agent execute_test_case_6, "12646890131016882")
			test_cases.extend (agent execute_test_case_7, "12646966561229887")
			test_cases.extend (agent execute_test_case_8, "1264691320513976")
			test_cases.extend (agent execute_test_case_9, "1264688931948136")
			test_cases.extend (agent execute_test_case_10, "1264691322516173")
			test_cases.extend (agent execute_test_case_11, "1264688927943831")
			test_cases.extend (agent execute_test_case_12, "12646973071505454")
			test_cases.extend (agent execute_test_case_13, "12646966471223269")
			test_cases.extend (agent execute_test_case_14, "12646966671235695")
			test_cases.extend (agent execute_test_case_15, "12646890071009099")
			test_cases.extend (agent execute_test_case_16, "12646966511226105")
			test_cases.extend (agent execute_test_case_17, "1264691307503280")
			test_cases.extend (agent execute_test_case_18, "1264691621686761")
			test_cases.extend (agent execute_test_case_19, "12646890141017912")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {LINEAR_SUBSET [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (12)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.islast, "islast")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264691636698958"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__1264691636698958
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 1, True, "1264691636698958", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__1264691636698958
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 2, False, "1264691636698958", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__1264691636699160
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 3, False, "1264691636699160", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__12646973121510078
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 4, False, "12646973121510078", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__12646890121014857
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 5, False, "12646890121014857", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__12646890131016882
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 6, False, "12646890131016882", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__12646966561229887
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 7, False, "12646966561229887", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__ARRAYED_SET__move_item__F__c3__b2__REC_LINEAR_SUBSET__move_item__TAG_not_before__1264691320513976
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", False, 8, False, "1264691320513976", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__1264688931948136
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 9, False, "1264688931948136", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__1264691322516173
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 10, False, "1264691322516173", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__1264688927943831
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 11, False, "1264688927943831", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646973071505454
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 12, False, "12646973071505454", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646966471223269
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 13, False, "12646966471223269", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646966671235695
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 14, False, "12646966671235695", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646890071009099
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 15, False, "12646890071009099", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646966511226105
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 16, False, "12646966511226105", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__1264691307503280
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 17, False, "1264691307503280", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__1264691621686761
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 18, False, "1264691621686761", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__ARRAYED_SET__move_item__S__c0__b0__REC_ARRAYED_SET__move_item__TAG_noname__12646890141017912
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("LINEAR_SUBSET", "move_item", 3, 2, "not_before", True, 19, False, "12646890141017912", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
