class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (15)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694574395177")
			test_cases.extend (agent execute_test_case_3, "1264694567389339")
			test_cases.extend (agent execute_test_case_4, "1264691512632099")
			test_cases.extend (agent execute_test_case_5, "1264688688730844")
			test_cases.extend (agent execute_test_case_6, "1264694347292518")
			test_cases.extend (agent execute_test_case_7, "12646924511131687")
			test_cases.extend (agent execute_test_case_8, "1264694569391202")
			test_cases.extend (agent execute_test_case_9, "1264688673715921")
			test_cases.extend (agent execute_test_case_10, "12646895041419845")
			test_cases.extend (agent execute_test_case_11, "12646924691142516")
			test_cases.extend (agent execute_test_case_12, "12646895121427898")
			test_cases.extend (agent execute_test_case_13, "12646924831153435")
			test_cases.extend (agent execute_test_case_14, "1264694361302149")
			test_cases.extend (agent execute_test_case_15, "12646924611135748")
			test_cases.extend (agent execute_test_case_16, "1264694353296929")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {BOUNDED_QUEUE [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (13)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694574395177"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__BOUNDED_QUEUE__append__F__c3__b3__REC_BOUNDED_QUEUE__extend__TAG_valid_index__1264694574395177
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", False, 1, True, "1264694574395177", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__BOUNDED_QUEUE__append__F__c3__b3__REC_BOUNDED_QUEUE__extend__TAG_valid_index__1264694574395177
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", False, 2, False, "1264694574395177", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__BOUNDED_QUEUE__append__F__c3__b3__REC_BOUNDED_QUEUE__extend__TAG_valid_index__1264694567389339
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", False, 3, False, "1264694567389339", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__BOUNDED_QUEUE__append__F__c3__b3__REC_BOUNDED_QUEUE__extend__TAG_valid_index__1264691512632099
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", False, 4, False, "1264691512632099", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__BOUNDED_QUEUE__append__F__c3__b3__REC_BOUNDED_QUEUE__extend__TAG_valid_index__1264688688730844
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", False, 5, False, "1264688688730844", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__1264694347292518
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 6, False, "1264694347292518", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646924511131687
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 7, False, "12646924511131687", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__1264694569391202
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 8, False, "1264694569391202", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__1264688673715921
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 9, False, "1264688673715921", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646895041419845
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 10, False, "12646895041419845", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646924691142516
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 11, False, "12646924691142516", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646895121427898
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 12, False, "12646895121427898", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646924831153435
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 13, False, "12646924831153435", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__1264694361302149
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 14, False, "1264694361302149", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__12646924611135748
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 15, False, "12646924611135748", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__BOUNDED_QUEUE__append__S__c0__b0__REC_BOUNDED_QUEUE__append__TAG_noname__1264694353296929
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "extend", 3, 3, "valid_index", True, 16, False, "1264694353296929", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
