class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (35)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694583402330")
			test_cases.extend (agent execute_test_case_3, "1264694344290626")
			test_cases.extend (agent execute_test_case_4, "1264691504625196")
			test_cases.extend (agent execute_test_case_5, "1264694574395678")
			test_cases.extend (agent execute_test_case_6, "1264694346291737")
			test_cases.extend (agent execute_test_case_7, "1264691515635503")
			test_cases.extend (agent execute_test_case_8, "1264694345291035")
			test_cases.extend (agent execute_test_case_9, "1264694351295199")
			test_cases.extend (agent execute_test_case_10, "12646924831153391")
			test_cases.extend (agent execute_test_case_11, "1264691492615372")
			test_cases.extend (agent execute_test_case_12, "12646895051420313")
			test_cases.extend (agent execute_test_case_13, "12646895121427712")
			test_cases.extend (agent execute_test_case_14, "1264691500621790")
			test_cases.extend (agent execute_test_case_15, "1264688677720512")
			test_cases.extend (agent execute_test_case_16, "12646895161431603")
			test_cases.extend (agent execute_test_case_17, "12646924781149691")
			test_cases.extend (agent execute_test_case_18, "1264691503623486")
			test_cases.extend (agent execute_test_case_19, "12646895061421383")
			test_cases.extend (agent execute_test_case_20, "1264694563387001")
			test_cases.extend (agent execute_test_case_21, "1264688686729164")
			test_cases.extend (agent execute_test_case_22, "12646895101425102")
			test_cases.extend (agent execute_test_case_23, "1264694339287386")
			test_cases.extend (agent execute_test_case_24, "1264694340287837")
			test_cases.extend (agent execute_test_case_25, "1264691505626321")
			test_cases.extend (agent execute_test_case_26, "1264694360301892")
			test_cases.extend (agent execute_test_case_27, "12646895201435343")
			test_cases.extend (agent execute_test_case_28, "1264694585403845")
			test_cases.extend (agent execute_test_case_29, "12646895101424906")
			test_cases.extend (agent execute_test_case_30, "12646924531132785")
			test_cases.extend (agent execute_test_case_31, "1264688684726898")
			test_cases.extend (agent execute_test_case_32, "1264694568390692")
			test_cases.extend (agent execute_test_case_33, "1264691493616395")
			test_cases.extend (agent execute_test_case_34, "1264694585404062")
			test_cases.extend (agent execute_test_case_35, "1264691494617240")
			test_cases.extend (agent execute_test_case_36, "1264691498619761")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {BOUNDED_QUEUE [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (13)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.changeable_comparison_criterion, "changeable_comparison_criterion")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.empty, "empty")
				l_tbl.put (agent l_operand_0.extendible, "extendible")
				l_tbl.put (agent l_operand_0.full, "full")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.object_comparison, "object_comparison")
				l_tbl.put (agent l_operand_0.off, "off")
				l_tbl.put (agent l_operand_0.prunable, "prunable")
				l_tbl.put (agent l_operand_0.readable, "readable")
				l_tbl.put (agent l_operand_0.resizable, "resizable")
				l_tbl.put (agent l_operand_0.writable, "writable")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {ANY} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694583402330"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
			execute_test_case_15
			execute_test_case_16
			execute_test_case_17
			execute_test_case_18
			execute_test_case_19
			execute_test_case_20
			execute_test_case_21
			execute_test_case_22
			execute_test_case_23
			execute_test_case_24
			execute_test_case_25
			execute_test_case_26
			execute_test_case_27
			execute_test_case_28
			execute_test_case_29
			execute_test_case_30
			execute_test_case_31
			execute_test_case_32
			execute_test_case_33
			execute_test_case_34
			execute_test_case_35
			execute_test_case_36
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694583402330
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 1, True, "1264694583402330", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694583402330
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 2, False, "1264694583402330", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694344290626
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 3, False, "1264694344290626", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264691504625196
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 4, False, "1264691504625196", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694574395678
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 5, False, "1264694574395678", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694346291737
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 6, False, "1264694346291737", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264691515635503
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 7, False, "1264691515635503", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694345291035
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 8, False, "1264694345291035", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264694351295199
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 9, False, "1264694351295199", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__12646924831153391
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 10, False, "12646924831153391", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__1264691492615372
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 11, False, "1264691492615372", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__BOUNDED_QUEUE__force__F__c3__b3__REC_BOUNDED_QUEUE__force__TAG_valid_index__12646895051420313
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", False, 12, False, "12646895051420313", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895121427712
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 13, False, "12646895121427712", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691500621790
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 14, False, "1264691500621790", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_15
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264688677720512
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 15, False, "1264688677720512", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_16
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895161431603
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 16, False, "12646895161431603", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_17
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646924781149691
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 17, False, "12646924781149691", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_18
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691503623486
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 18, False, "1264691503623486", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_19
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895061421383
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 19, False, "12646895061421383", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_20
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694563387001
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 20, False, "1264694563387001", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_21
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264688686729164
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 21, False, "1264688686729164", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_22
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895101425102
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 22, False, "12646895101425102", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_23
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694339287386
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 23, False, "1264694339287386", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_24
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694340287837
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 24, False, "1264694340287837", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_25
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691505626321
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 25, False, "1264691505626321", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_26
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694360301892
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 26, False, "1264694360301892", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_27
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895201435343
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 27, False, "12646895201435343", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_28
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694585403845
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 28, False, "1264694585403845", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_29
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646895101424906
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 29, False, "12646895101424906", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_30
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__12646924531132785
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 30, False, "12646924531132785", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_31
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264688684726898
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 31, False, "1264688684726898", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_32
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694568390692
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 32, False, "1264694568390692", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_33
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691493616395
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 33, False, "1264691493616395", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_34
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264694585404062
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 34, False, "1264694585404062", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_35
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691494617240
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 35, False, "1264691494617240", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_36
	local
		l_tc: TC__BOUNDED_QUEUE__force__S__c0__b0__REC_BOUNDED_QUEUE__force__TAG_noname__1264691498619761
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("BOUNDED_QUEUE", "force", 3, 3, "valid_index", True, 36, False, "1264691498619761", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
