class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (10)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "1264694319280610")
			test_cases.extend (agent execute_test_case_3, "1264688031198334")
			test_cases.extend (agent execute_test_case_4, "1264688032199134")
			test_cases.extend (agent execute_test_case_5, "12646963331098331")
			test_cases.extend (agent execute_test_case_6, "12646926401241640")
			test_cases.extend (agent execute_test_case_7, "12646922291011578")
			test_cases.extend (agent execute_test_case_8, "1264688042206453")
			test_cases.extend (agent execute_test_case_9, "12646922511028678")
			test_cases.extend (agent execute_test_case_10, "12646926481246153")
			test_cases.extend (agent execute_test_case_11, "12646963291096116")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {DS_INDEXABLE [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (3)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.has_void, "has_void")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {FUNCTION [?ANY, ?TUPLE, ?ANY]} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (5)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent l_operand_1.callable, "callable")
				l_tbl.put (agent l_operand_1.hash_code, "hash_code")
				l_tbl.put (agent l_operand_1.is_hashable, "is_hashable")
				l_tbl.put (agent l_operand_1.is_target_closed, "is_target_closed")
				l_tbl.put (agent l_operand_1.open_count, "open_count")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "1264694319280610"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__1264694319280610
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 1, True, "1264694319280610", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__1264694319280610
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 2, False, "1264694319280610", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__1264688031198334
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 3, False, "1264688031198334", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__1264688032199134
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 4, False, "1264688032199134", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__12646963331098331
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 5, False, "12646963331098331", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__F__c3__b1__REC_DS_INDEXABLE__for_all__TAG_valid_operands__12646926401241640
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", False, 6, False, "12646926401241640", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__S__c0__b0__REC_DS_ARRAYED_LIST__for_all__TAG_noname__12646922291011578
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", True, 7, False, "12646922291011578", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__S__c0__b0__REC_DS_ARRAYED_LIST__for_all__TAG_noname__1264688042206453
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", True, 8, False, "1264688042206453", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__S__c0__b0__REC_DS_ARRAYED_LIST__for_all__TAG_noname__12646922511028678
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", True, 9, False, "12646922511028678", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__S__c0__b0__REC_DS_ARRAYED_LIST__for_all__TAG_noname__12646926481246153
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", True, 10, False, "12646926481246153", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__DS_ARRAYED_LIST__for_all__S__c0__b0__REC_DS_ARRAYED_LIST__for_all__TAG_noname__12646963291096116
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_INDEXABLE", "for_all", 3, 1, "valid_operands", True, 11, False, "12646963291096116", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
