class
	APPLICATION
	
inherit
	AFX_INTERPRETER
	
create
	make
		
		
feature{NONE} -- Implementation

	mark_test_case (a_recipient_class: STRING; a_recipient: STRING; a_exception_code: INTEGER; a_bpslot: INTEGER; a_tag: STRING; a_passing: BOOLEAN; a_test_case_number: INTEGER; a_dry_run: BOOLEAN; a_uuid: STRING; a_trace: STRING)
			-- If `a_dry_run' is True, states of the current system should not be retrieved.
		do
			do_nothing
		end

	initialize_test_cases
			-- Initialize `test_cases'.
		do
			create test_cases.make (13)
			test_cases.compare_objects
			test_cases.extend (agent execute_test_case_2, "126468787137550")
			test_cases.extend (agent execute_test_case_3, "12646922291011672")
			test_cases.extend (agent execute_test_case_4, "1264694291266221")
			test_cases.extend (agent execute_test_case_5, "126468786834658")
			test_cases.extend (agent execute_test_case_6, "12646922391018545")
			test_cases.extend (agent execute_test_case_7, "12646963071086280")
			test_cases.extend (agent execute_test_case_8, "12646926381239415")
			test_cases.extend (agent execute_test_case_9, "12646963131088054")
			test_cases.extend (agent execute_test_case_10, "1264694281264773")
			test_cases.extend (agent execute_test_case_11, "12646963181090338")
			test_cases.extend (agent execute_test_case_12, "1264688048212787")
			test_cases.extend (agent execute_test_case_13, "126468787136845")
			test_cases.extend (agent execute_test_case_14, "126468786229152")
		end


	operand_states (a_operands: SPECIAL [detachable ANY]):  like state_type
		local
			l_queries: HASH_TABLE [HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING], INTEGER]
			l_tbl: HASH_TABLE [FUNCTION [ANY, TUPLE, ANY], STRING]
		do
			create l_queries.make (a_operands.count)
			if attached {DS_ARRAYED_LIST [?ANY]} a_operands.item (0) as l_operand_0 then
				create l_tbl.make (12)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
				l_tbl.put (agent l_operand_0.after, "after")
				l_tbl.put (agent l_operand_0.before, "before")
				l_tbl.put (agent l_operand_0.capacity, "capacity")
				l_tbl.put (agent l_operand_0.count, "count")
				l_tbl.put (agent l_operand_0.default_capacity, "default_capacity")
				l_tbl.put (agent l_operand_0.has_void, "has_void")
				l_tbl.put (agent l_operand_0.index, "index")
				l_tbl.put (agent l_operand_0.is_empty, "is_empty")
				l_tbl.put (agent l_operand_0.is_first, "is_first")
				l_tbl.put (agent l_operand_0.is_full, "is_full")
				l_tbl.put (agent l_operand_0.is_last, "is_last")
				l_tbl.put (agent l_operand_0.off, "off")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 0)
			end
			if attached {INTEGER_32} a_operands.item (1) as l_operand_1 then
				create l_tbl.make (1)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
				l_tbl.put (agent (l_value: INTEGER_32): INTEGER_32 do Result := l_value end (l_operand_1), "item")
			else
				create l_tbl.make (0)
				l_tbl.compare_objects
				l_queries.put (l_tbl, 1)
			end
			Result := object_states (l_queries)
		end


	first_failing_test_case_uuid: STRING
		do
			Result := "126468787137550"
		end



	execute_test_cases
			--Execute test cases.
		do
			execute_test_case_1
			execute_test_case_2
			execute_test_case_3
			execute_test_case_4
			execute_test_case_5
			execute_test_case_6
			execute_test_case_7
			execute_test_case_8
			execute_test_case_9
			execute_test_case_10
			execute_test_case_11
			execute_test_case_12
			execute_test_case_13
			execute_test_case_14
		end


feature{NONE} -- Implementation

	execute_test_case_1
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__F__c3__b1__REC_DS_ARRAYED_LIST__prune_first__TAG_valid_index__126468787137550
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", False, 1, True, "126468787137550", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_2
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__F__c3__b1__REC_DS_ARRAYED_LIST__prune_first__TAG_valid_index__126468787137550
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", False, 2, False, "126468787137550", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_3
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__F__c3__b1__REC_DS_ARRAYED_LIST__prune_first__TAG_valid_index__12646922291011672
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", False, 3, False, "12646922291011672", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_4
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__F__c3__b1__REC_DS_ARRAYED_LIST__prune_first__TAG_valid_index__1264694291266221
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", False, 4, False, "1264694291266221", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_5
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__F__c3__b1__REC_DS_ARRAYED_LIST__prune_first__TAG_valid_index__126468786834658
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", False, 5, False, "126468786834658", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_6
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__12646922391018545
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 6, False, "12646922391018545", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_7
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__12646963071086280
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 7, False, "12646963071086280", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_8
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__12646926381239415
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 8, False, "12646926381239415", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_9
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__12646963131088054
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 9, False, "12646963131088054", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_10
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__1264694281264773
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 10, False, "1264694281264773", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_11
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__12646963181090338
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 11, False, "12646963181090338", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_12
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__1264688048212787
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 12, False, "1264688048212787", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_13
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__126468787136845
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 13, False, "126468787136845", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end

	execute_test_case_14
	local
		l_tc: TC__DS_ARRAYED_LIST__keep_last__S__c0__b0__REC_DS_ARRAYED_LIST__keep_last__TAG_noname__126468786229152
		l_retried: BOOLEAN
	do
		if not l_retried then
			create l_tc
			mark_test_case ("DS_ARRAYED_LIST", "prune_first", 3, 1, "valid_index", True, 14, False, "126468786229152", l_tc.exception_trace_string)					
			l_tc.setup
			retrieve_pre_state (l_tc.operands)
			l_tc.generated_test_1
			retrieve_post_state (l_tc.operands)
		end
	rescue
		exception_count := exception_count + 1
		l_retried := True
		retry
	end



end
