type ref;
const Void: ref;
function before() returns (bool);
function changeable_comparison_criterion() returns (bool);
function item() returns (ref);
function exhausted() returns (bool);
function at(i: int) returns (ref);
function empty() returns (bool);
function last() returns (ref);
function clone(other: ref) returns (ref);
function readable() returns (bool);
function sorted() returns (bool);
function isfirst() returns (bool);
function full() returns (bool);
function islast() returns (bool);
function is_inserted(v: ref) returns (bool);
function valid_cursor_index(i: int) returns (bool);
function off() returns (bool);
function first() returns (ref);
function prunable() returns (bool);
function extendible() returns (bool);
function index() returns (int);
function writable() returns (bool);
function linear_representation() returns (ref);
function count() returns (int);
function sequential_occurrences(v: ref) returns (int);
function index_of(v: ref, i: int) returns (int);
function is_equal(other: ref) returns (bool);
function standard_is_equal(other: ref) returns (bool);
function deep_equal(some: ref, other: ref) returns (bool);
function deep_twin() returns (ref);
function out() returns (ref);
function min_max_available() returns (bool);
function max() returns (ref);
function min() returns (ref);
function is_empty() returns (bool);
function generator() returns (ref);
function generating_type() returns (ref);
function last_element() returns (ref);
function object_comparison() returns (bool);
function sublist() returns (ref);
function default() returns (ref);
function standard_clone(other: ref) returns (ref);
function equal(some: ref, other: ref) returns (bool);
function standard_twin() returns (ref);
function operating_environment() returns (ref);
function disjoint(other: ref) returns (bool);
function is_deep_equal(other: ref) returns (bool);
function deep_clone(other: ref) returns (ref);
function default_pointer() returns (ref);
function io() returns (ref);
function same_type(other: ref) returns (bool);
function standard_equal(some: ref, other: ref) returns (bool);
function tagged_out() returns (ref);
function i_th(i: int) returns (ref);
function twin() returns (ref);
function new_chain() returns (ref);
function new_cell(v: ref) returns (ref);
function duplicate(n: int) returns (ref);
function next() returns (ref);
function previous() returns (ref);
function is_subset(other: ref) returns (bool);
function is_superset(other: ref) returns (bool);
function median() returns (ref);
function subset_strategy(other: ref) returns (ref);
function subset_strategy_selection(v: ref, other: ref) returns (ref);
function cs_min() returns (ref);
function cs_max() returns (ref);
function valid_index(i: int) returns (bool);
function as_attached() returns (ref);
function sequential_index_of(v: ref, i: int) returns (int);
function sequential_has(v: ref) returns (bool);
function first_element() returns (ref);
function has(v: ref) returns (bool);
function active() returns (ref);
function occurrences(v: ref) returns (int);
function index_set() returns (ref);
function conforms_to(other: ref) returns (bool);
function item_for_iteration() returns (ref);
function cursor() returns (ref);
function there_exists(test: ref) returns (bool);
function for_all(test: ref) returns (bool);
function valid_cursor(p: ref) returns (bool);
function after() returns (bool);
const Current: ref;
axiom (standard_is_equal (Current));
axiom (conforms_to (Current));
axiom ( (min_max_available()) ==> ((!  (is_empty()))));
axiom (!  (( (after()) && (before()))));
axiom ( (before()) ==> (off()));
axiom ( (after()) ==> (off()));
axiom ( (is_empty()) ==> (off()));
axiom ( (before()) == (( (index()) == (0))));
axiom ( (is_empty()) == (( (count()) == (0))));
axiom ( (count()) >= (0));
axiom ( ((!  (is_empty()))) ==> (( (( (first_element()) != (Void))) && (( (last_element()) != (Void))))));
axiom (prunable());
axiom ( (is_empty()) ==> (( (( (first_element()) == (Void))) && (( (active()) == (Void))))));
axiom ( (( (active()) == (Void))) ==> (is_empty()));
axiom ( (before()) ==> (( (active()) == (first_element()))));
axiom ( (after()) ==> (( (active()) == (last_element()))));
axiom ( (after()) == (( (index()) == (( (count()) + (1))))));
axiom ( (index()) >= (0));
axiom ( (index()) <= (( (count()) + (1))));
axiom ( (off()) == (( (( (index()) == (0))) || (( (index()) == (( (count()) + (1))))))));
axiom ( (isfirst()) == (( ((!  (is_empty()))) && (( (index()) == (1))))));
axiom ( (islast()) == (( ((!  (is_empty()))) && (( (index()) == (count()))))));
axiom ( ((!  (off()))) ==> (( (item()) == (i_th (index())))));
axiom ( (index_set.count()) == (count()));
axiom ( (writable()) ==> (readable()));
axiom ( (is_empty()) ==> (( ((!  (readable()))) && ((!  (writable()))))));
axiom ( (index_set()) != (Void));
axiom (extendible());
axiom ( (changeable_comparison_criterion()) == (is_empty()));
axiom ( (exhausted()) == (off()));
axiom ( (off()) ==> (exhausted()));
axiom ( (empty()) == (is_empty()));
axiom ( (readable()) == ((!  (off()))));
axiom ( (isfirst()) == (( (( ((!  (after()))) && ((!  (before()))))) && (( (active()) == (first_element()))))));
axiom ( (isfirst()) ==> ((!  (is_empty()))));
axiom ( (islast()) == (( (( (( (active()) == (last_element()))) && ((!  (after()))))) && ((!  (before()))))));
axiom ( (islast()) ==> ((!  (is_empty()))));
axiom ( (off()) == (( (after()) || (before()))));
axiom ( (prunable()) == (true));
axiom ( (writable()) == ((!  (off()))));
axiom ( (min_max_available()) == ((!  (is_empty()))));
function index_set.item(i: int) returns (int);
function index_set.hold_count(condition: ref) returns (int);
function index_set.exists1(condition: ref) returns (bool);
function index_set.at(i: int) returns (int);
function index_set.lower() returns (int);
function index_set.clone(other: ref) returns (ref);
function index_set.to_c() returns (ref);
function index_set.has(v: int) returns (bool);
function index_set.occurrences(v: int) returns (int);
function index_set.index_set() returns (ref);
function index_set.resizable() returns (bool);
function index_set.growth_percentage() returns (int);
function index_set.all_cleared() returns (bool);
function index_set.minimal_increase() returns (int);
function index_set.is_deep_equal(other: ref) returns (bool);
function index_set.count() returns (int);
function index_set.upper() returns (int);
function index_set.object_comparison() returns (bool);
function index_set.is_equal(other: ref) returns (bool);
function index_set.standard_is_equal(other: ref) returns (bool);
function index_set.as_attached() returns (ref);
function index_set.deep_twin() returns (ref);
function index_set.for_all(condition: ref) returns (bool);
function index_set.generator() returns (ref);
function index_set.generating_type() returns (ref);
function index_set.changeable_comparison_criterion() returns (bool);
function index_set.default() returns (ref);
function index_set.is_empty() returns (bool);
function index_set.capacity() returns (int);
function index_set.is_inserted(v: int) returns (bool);
function index_set.additional_space() returns (int);
function index_set.prunable() returns (bool);
function index_set.standard_clone(other: ref) returns (ref);
function index_set.equal(some: ref, other: ref) returns (bool);
function index_set.standard_twin() returns (ref);
function index_set.deep_equal(some: ref, other: ref) returns (bool);
function index_set.out() returns (ref);
function index_set.empty() returns (bool);
function index_set.extendible() returns (bool);
function index_set.full() returns (bool);
function index_set.valid_index(v: int) returns (bool);
function index_set.conforms_to(other: ref) returns (bool);
function index_set.deep_clone(other: ref) returns (ref);
function index_set.default_pointer() returns (ref);
function index_set.io() returns (ref);
function index_set.operating_environment() returns (ref);
function index_set.same_type(other: ref) returns (bool);
function index_set.standard_equal(some: ref, other: ref) returns (bool);
function index_set.tagged_out() returns (ref);
function index_set.twin() returns (ref);
function index_set.lower_defined() returns (bool);
function index_set.upper_defined() returns (bool);
function index_set.lower_internal() returns (int);
function index_set.upper_internal() returns (int);
function index_set.exists(condition: ref) returns (bool);
function index_set.linear_representation() returns (ref);
function index_set.as_array() returns (ref);
function index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
const index_set.Current: ref;
axiom ( (( (index_set.upper_defined()) && (index_set.lower_defined()))) ==> (( (index_set.count()) == (( (( (index_set.upper()) - (index_set.lower()))) + (1))))));
axiom ( (index_set.index_set()) == (index_set.Current));
axiom ( (index_set.upper_defined()) && (index_set.lower_defined()));
axiom ( (index_set.minimal_increase()) >= (1));
axiom ( (index_set.count()) <= (index_set.capacity()));
axiom ( (index_set.full()) == (( (index_set.count()) == (index_set.capacity()))));
axiom ( (index_set.is_empty()) == (( (index_set.count()) == (0))));
axiom ( (index_set.count()) >= (0));
axiom (index_set.standard_is_equal (index_set.Current));
axiom (index_set.conforms_to (index_set.Current));
axiom ( (index_set.index_set()) != (Void));
axiom ( (index_set.resizable()) == (true));
axiom ( (index_set.all_cleared()) == (( (( (index_set.lower()) == (0))) && (( (index_set.upper()) == (0))))));
axiom ( (index_set.changeable_comparison_criterion()) == (index_set.is_empty()));
axiom ( (index_set.prunable()) == (false));
axiom ( (index_set.empty()) == (index_set.is_empty()));
axiom ( (index_set.extendible()) == (true));
function Result.before() returns (bool);
function Result.changeable_comparison_criterion() returns (bool);
function Result.item() returns (ref);
function Result.exhausted() returns (bool);
function Result.at(i: int) returns (ref);
function Result.empty() returns (bool);
function Result.last() returns (ref);
function Result.clone(other: ref) returns (ref);
function Result.readable() returns (bool);
function Result.sorted() returns (bool);
function Result.isfirst() returns (bool);
function Result.full() returns (bool);
function Result.islast() returns (bool);
function Result.is_inserted(v: ref) returns (bool);
function Result.valid_cursor_index(i: int) returns (bool);
function Result.off() returns (bool);
function Result.first() returns (ref);
function Result.prunable() returns (bool);
function Result.extendible() returns (bool);
function Result.index() returns (int);
function Result.writable() returns (bool);
function Result.linear_representation() returns (ref);
function Result.count() returns (int);
function Result.sequential_occurrences(v: ref) returns (int);
function Result.index_of(v: ref, i: int) returns (int);
function Result.is_equal(other: ref) returns (bool);
function Result.standard_is_equal(other: ref) returns (bool);
function Result.deep_equal(some: ref, other: ref) returns (bool);
function Result.deep_twin() returns (ref);
function Result.out() returns (ref);
function Result.min_max_available() returns (bool);
function Result.max() returns (ref);
function Result.min() returns (ref);
function Result.is_empty() returns (bool);
function Result.generator() returns (ref);
function Result.generating_type() returns (ref);
function Result.last_element() returns (ref);
function Result.object_comparison() returns (bool);
function Result.sublist() returns (ref);
function Result.default() returns (ref);
function Result.standard_clone(other: ref) returns (ref);
function Result.equal(some: ref, other: ref) returns (bool);
function Result.standard_twin() returns (ref);
function Result.operating_environment() returns (ref);
function Result.disjoint(other: ref) returns (bool);
function Result.is_deep_equal(other: ref) returns (bool);
function Result.deep_clone(other: ref) returns (ref);
function Result.default_pointer() returns (ref);
function Result.io() returns (ref);
function Result.same_type(other: ref) returns (bool);
function Result.standard_equal(some: ref, other: ref) returns (bool);
function Result.tagged_out() returns (ref);
function Result.i_th(i: int) returns (ref);
function Result.twin() returns (ref);
function Result.new_chain() returns (ref);
function Result.new_cell(v: ref) returns (ref);
function Result.duplicate(n: int) returns (ref);
function Result.next() returns (ref);
function Result.previous() returns (ref);
function Result.is_subset(other: ref) returns (bool);
function Result.is_superset(other: ref) returns (bool);
function Result.median() returns (ref);
function Result.subset_strategy(other: ref) returns (ref);
function Result.subset_strategy_selection(v: ref, other: ref) returns (ref);
function Result.cs_min() returns (ref);
function Result.cs_max() returns (ref);
function Result.valid_index(i: int) returns (bool);
function Result.as_attached() returns (ref);
function Result.sequential_index_of(v: ref, i: int) returns (int);
function Result.sequential_has(v: ref) returns (bool);
function Result.first_element() returns (ref);
function Result.has(v: ref) returns (bool);
function Result.active() returns (ref);
function Result.occurrences(v: ref) returns (int);
function Result.index_set() returns (ref);
function Result.conforms_to(other: ref) returns (bool);
function Result.item_for_iteration() returns (ref);
function Result.cursor() returns (ref);
function Result.there_exists(test: ref) returns (bool);
function Result.for_all(test: ref) returns (bool);
function Result.valid_cursor(p: ref) returns (bool);
function Result.after() returns (bool);
const Result.Current: ref;
axiom (Result.standard_is_equal (Result.Current));
axiom (Result.conforms_to (Result.Current));
axiom ( (Result.min_max_available()) ==> ((!  (Result.is_empty()))));
axiom (!  (( (Result.after()) && (Result.before()))));
axiom ( (Result.before()) ==> (Result.off()));
axiom ( (Result.after()) ==> (Result.off()));
axiom ( (Result.is_empty()) ==> (Result.off()));
axiom ( (Result.before()) == (( (Result.index()) == (0))));
axiom ( (Result.is_empty()) == (( (Result.count()) == (0))));
axiom ( (Result.count()) >= (0));
axiom ( ((!  (Result.is_empty()))) ==> (( (( (Result.first_element()) != (Void))) && (( (Result.last_element()) != (Void))))));
axiom (Result.prunable());
axiom ( (Result.is_empty()) ==> (( (( (Result.first_element()) == (Void))) && (( (Result.active()) == (Void))))));
axiom ( (( (Result.active()) == (Void))) ==> (Result.is_empty()));
axiom ( (Result.before()) ==> (( (Result.active()) == (Result.first_element()))));
axiom ( (Result.after()) ==> (( (Result.active()) == (Result.last_element()))));
axiom ( (Result.after()) == (( (Result.index()) == (( (Result.count()) + (1))))));
axiom ( (Result.index()) >= (0));
axiom ( (Result.index()) <= (( (Result.count()) + (1))));
axiom ( (Result.off()) == (( (( (Result.index()) == (0))) || (( (Result.index()) == (( (Result.count()) + (1))))))));
axiom ( (Result.isfirst()) == (( ((!  (Result.is_empty()))) && (( (Result.index()) == (1))))));
axiom ( (Result.islast()) == (( ((!  (Result.is_empty()))) && (( (Result.index()) == (Result.count()))))));
axiom ( ((!  (Result.off()))) ==> (( (Result.item()) == (Result.i_th (Result.index())))));
axiom ( (Result.index_set.count()) == (Result.count()));
axiom ( (Result.writable()) ==> (Result.readable()));
axiom ( (Result.is_empty()) ==> (( ((!  (Result.readable()))) && ((!  (Result.writable()))))));
axiom ( (Result.index_set()) != (Void));
axiom (Result.extendible());
axiom ( (Result.changeable_comparison_criterion()) == (Result.is_empty()));
axiom ( (Result.exhausted()) == (Result.off()));
axiom ( (Result.off()) ==> (Result.exhausted()));
axiom ( (Result.empty()) == (Result.is_empty()));
axiom ( (Result.readable()) == ((!  (Result.off()))));
axiom ( (Result.isfirst()) == (( (( ((!  (Result.after()))) && ((!  (Result.before()))))) && (( (Result.active()) == (Result.first_element()))))));
axiom ( (Result.isfirst()) ==> ((!  (Result.is_empty()))));
axiom ( (Result.islast()) == (( (( (( (Result.active()) == (Result.last_element()))) && ((!  (Result.after()))))) && ((!  (Result.before()))))));
axiom ( (Result.islast()) ==> ((!  (Result.is_empty()))));
axiom ( (Result.off()) == (( (Result.after()) || (Result.before()))));
axiom ( (Result.prunable()) == (true));
axiom ( (Result.writable()) == ((!  (Result.off()))));
axiom ( (Result.min_max_available()) == ((!  (Result.is_empty()))));
function Result.index_set.item(i: int) returns (int);
function Result.index_set.hold_count(condition: ref) returns (int);
function Result.index_set.exists1(condition: ref) returns (bool);
function Result.index_set.at(i: int) returns (int);
function Result.index_set.lower() returns (int);
function Result.index_set.clone(other: ref) returns (ref);
function Result.index_set.to_c() returns (ref);
function Result.index_set.has(v: int) returns (bool);
function Result.index_set.occurrences(v: int) returns (int);
function Result.index_set.index_set() returns (ref);
function Result.index_set.resizable() returns (bool);
function Result.index_set.growth_percentage() returns (int);
function Result.index_set.all_cleared() returns (bool);
function Result.index_set.minimal_increase() returns (int);
function Result.index_set.is_deep_equal(other: ref) returns (bool);
function Result.index_set.count() returns (int);
function Result.index_set.upper() returns (int);
function Result.index_set.object_comparison() returns (bool);
function Result.index_set.is_equal(other: ref) returns (bool);
function Result.index_set.standard_is_equal(other: ref) returns (bool);
function Result.index_set.as_attached() returns (ref);
function Result.index_set.deep_twin() returns (ref);
function Result.index_set.for_all(condition: ref) returns (bool);
function Result.index_set.generator() returns (ref);
function Result.index_set.generating_type() returns (ref);
function Result.index_set.changeable_comparison_criterion() returns (bool);
function Result.index_set.default() returns (ref);
function Result.index_set.is_empty() returns (bool);
function Result.index_set.capacity() returns (int);
function Result.index_set.is_inserted(v: int) returns (bool);
function Result.index_set.additional_space() returns (int);
function Result.index_set.prunable() returns (bool);
function Result.index_set.standard_clone(other: ref) returns (ref);
function Result.index_set.equal(some: ref, other: ref) returns (bool);
function Result.index_set.standard_twin() returns (ref);
function Result.index_set.deep_equal(some: ref, other: ref) returns (bool);
function Result.index_set.out() returns (ref);
function Result.index_set.empty() returns (bool);
function Result.index_set.extendible() returns (bool);
function Result.index_set.full() returns (bool);
function Result.index_set.valid_index(v: int) returns (bool);
function Result.index_set.conforms_to(other: ref) returns (bool);
function Result.index_set.deep_clone(other: ref) returns (ref);
function Result.index_set.default_pointer() returns (ref);
function Result.index_set.io() returns (ref);
function Result.index_set.operating_environment() returns (ref);
function Result.index_set.same_type(other: ref) returns (bool);
function Result.index_set.standard_equal(some: ref, other: ref) returns (bool);
function Result.index_set.tagged_out() returns (ref);
function Result.index_set.twin() returns (ref);
function Result.index_set.lower_defined() returns (bool);
function Result.index_set.upper_defined() returns (bool);
function Result.index_set.lower_internal() returns (int);
function Result.index_set.upper_internal() returns (int);
function Result.index_set.exists(condition: ref) returns (bool);
function Result.index_set.linear_representation() returns (ref);
function Result.index_set.as_array() returns (ref);
function Result.index_set.subinterval(start_pos: int, end_pos: int) returns (ref);
const Result.index_set.Current: ref;
axiom ( (( (Result.index_set.upper_defined()) && (Result.index_set.lower_defined()))) ==> (( (Result.index_set.count()) == (( (( (Result.index_set.upper()) - (Result.index_set.lower()))) + (1))))));
axiom ( (Result.index_set.index_set()) == (Result.index_set.Current));
axiom ( (Result.index_set.upper_defined()) && (Result.index_set.lower_defined()));
axiom ( (Result.index_set.minimal_increase()) >= (1));
axiom ( (Result.index_set.count()) <= (Result.index_set.capacity()));
axiom ( (Result.index_set.full()) == (( (Result.index_set.count()) == (Result.index_set.capacity()))));
axiom ( (Result.index_set.is_empty()) == (( (Result.index_set.count()) == (0))));
axiom ( (Result.index_set.count()) >= (0));
axiom (Result.index_set.standard_is_equal (Result.index_set.Current));
axiom (Result.index_set.conforms_to (Result.index_set.Current));
axiom ( (Result.index_set.index_set()) != (Void));
axiom ( (Result.index_set.resizable()) == (true));
axiom ( (Result.index_set.all_cleared()) == (( (( (Result.index_set.lower()) == (0))) && (( (Result.index_set.upper()) == (0))))));
axiom ( (Result.index_set.changeable_comparison_criterion()) == (Result.index_set.is_empty()));
axiom ( (Result.index_set.prunable()) == (false));
axiom ( (Result.index_set.empty()) == (Result.index_set.is_empty()));
axiom ( (Result.index_set.extendible()) == (true));
const n: int;
var counter: int;
var pos: ref;
procedure proc.ANY.afx_formula_1();
implementation proc.ANY.afx_formula_1() {
	assert ( (( (before()) == (true))) ==> (( (( (( (( (exhausted()) == (true))) && (( (writable()) == (false))))) && (( (off()) == (true))))) && (( (readable()) == (false))))));
}

procedure proc.ANY.afx_formula_2();
implementation proc.ANY.afx_formula_2() {
	assert ( (( (exhausted()) == (true))) ==> (( (( (( (( (before()) == (true))) && (( (writable()) == (false))))) && (( (off()) == (true))))) && (( (readable()) == (false))))));
}

procedure proc.ANY.afx_formula_3();
implementation proc.ANY.afx_formula_3() {
	assert ( (( (writable()) == (false))) ==> (( (( (( (( (before()) == (true))) && (( (exhausted()) == (true))))) && (( (off()) == (true))))) && (( (readable()) == (false))))));
}

procedure proc.ANY.afx_formula_4();
implementation proc.ANY.afx_formula_4() {
	assert ( (( (off()) == (true))) ==> (( (( (( (( (before()) == (true))) && (( (exhausted()) == (true))))) && (( (writable()) == (false))))) && (( (readable()) == (false))))));
}

procedure proc.ANY.afx_formula_5();
implementation proc.ANY.afx_formula_5() {
	assert ( (( (readable()) == (false))) ==> (( (( (( (( (before()) == (true))) && (( (exhausted()) == (true))))) && (( (writable()) == (false))))) && (( (off()) == (true))))));
}

